Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2026-03-23 The HDF5 Field Guide

Loading...
Searching...
No Matches
HDF5Constants Class Reference

## Static Public Attributes
static final int | H5_INDEX_CRT_ORDER = H5_INDEX_CRT_ORDER()
static final int | H5_INDEX_N = H5_INDEX_N()
static final int | H5_INDEX_NAME = H5_INDEX_NAME()
static final int | H5_INDEX_UNKNOWN = H5_INDEX_UNKNOWN()
static final int | H5_ITER_DEC = H5_ITER_DEC()
static final int | H5_ITER_INC = H5_ITER_INC()
static final int | H5_ITER_N = H5_ITER_N()
static final int | H5_ITER_NATIVE = H5_ITER_NATIVE()
static final int | H5_ITER_UNKNOWN = H5_ITER_UNKNOWN()
static final int | H5_SZIP_ALLOW_K13_OPTION_MASK = H5_SZIP_ALLOW_K13_OPTION_MASK()
static final int | H5_SZIP_CHIP_OPTION_MASK = H5_SZIP_CHIP_OPTION_MASK()
static final int | H5_SZIP_EC_OPTION_MASK = H5_SZIP_EC_OPTION_MASK()
static final int | H5_SZIP_MAX_PIXELS_PER_BLOCK = H5_SZIP_MAX_PIXELS_PER_BLOCK()
static final int | H5_SZIP_NN_OPTION_MASK = H5_SZIP_NN_OPTION_MASK()
static final int | H5_VOL_INVALID = H5_VOL_INVALID()
static final int | H5_VOL_MAX = H5_VOL_MAX()
static final int | H5_VOL_NATIVE = H5_VOL_NATIVE()
static final int | H5_VOL_RESERVED = H5_VOL_RESERVED()
static final int | H5AC_CURR_CACHE_CONFIG_VERSION = H5AC_CURR_CACHE_CONFIG_VERSION()
static final int | H5AC_MAX_TRACE_FILE_NAME_LEN = H5AC_MAX_TRACE_FILE_NAME_LEN()
static final int | H5AC_METADATA_WRITE_STRATEGY_DISTRIBUTED
static final int | H5AC_METADATA_WRITE_STRATEGY_PROCESS_ZERO_ONLY
static final int | H5C_decr_age_out = H5C_decr_age_out()
static final int | H5C_decr_age_out_with_threshold = H5C_decr_age_out_with_threshold()
static final int | H5C_decr_off = H5C_decr_off()
static final int | H5C_decr_threshold = H5C_decr_threshold()
static final int | H5C_flash_incr_add_space = H5C_flash_incr_add_space()
static final int | H5C_flash_incr_off = H5C_flash_incr_off()
static final int | H5C_incr_off = H5C_incr_off()
static final int | H5C_incr_threshold = H5C_incr_threshold()
static final int | H5D_ALLOC_TIME_DEFAULT = H5D_ALLOC_TIME_DEFAULT()
static final int | H5D_ALLOC_TIME_EARLY = H5D_ALLOC_TIME_EARLY()
static final int | H5D_ALLOC_TIME_ERROR = H5D_ALLOC_TIME_ERROR()
static final int | H5D_ALLOC_TIME_INCR = H5D_ALLOC_TIME_INCR()
static final int | H5D_ALLOC_TIME_LATE = H5D_ALLOC_TIME_LATE()
static final int | H5D_CHUNK_DONT_FILTER_PARTIAL_CHUNKS = H5D_CHUNK_DONT_FILTER_PARTIAL_CHUNKS()
static final int | H5D_CHUNK_IDX_BTREE = H5D_CHUNK_IDX_BTREE()
static final int | H5D_CHUNKED = H5D_CHUNKED()
static final int | H5D_COMPACT = H5D_COMPACT()
static final int | H5D_CONTIGUOUS = H5D_CONTIGUOUS()
static final int | H5D_FILL_TIME_ALLOC = H5D_FILL_TIME_ALLOC()
static final int | H5D_FILL_TIME_ERROR = H5D_FILL_TIME_ERROR()
static final int | H5D_FILL_TIME_IFSET = H5D_FILL_TIME_IFSET()
static final int | H5D_FILL_TIME_NEVER = H5D_FILL_TIME_NEVER()
static final int | H5D_FILL_VALUE_DEFAULT = H5D_FILL_VALUE_DEFAULT()
static final int | H5D_FILL_VALUE_ERROR = H5D_FILL_VALUE_ERROR()
static final int | H5D_FILL_VALUE_UNDEFINED = H5D_FILL_VALUE_UNDEFINED()
static final int | H5D_FILL_VALUE_USER_DEFINED = H5D_FILL_VALUE_USER_DEFINED()
static final int | H5D_LAYOUT_ERROR = H5D_LAYOUT_ERROR()
static final int | H5D_NLAYOUTS = H5D_NLAYOUTS()
static final int | H5D_SPACE_STATUS_ALLOCATED = H5D_SPACE_STATUS_ALLOCATED()
static final int | H5D_SPACE_STATUS_ERROR = H5D_SPACE_STATUS_ERROR()
static final int | H5D_SPACE_STATUS_NOT_ALLOCATED = H5D_SPACE_STATUS_NOT_ALLOCATED()
static final int | H5D_SPACE_STATUS_PART_ALLOCATED = H5D_SPACE_STATUS_PART_ALLOCATED()
static final int | H5D_VDS_ERROR = H5D_VDS_ERROR()
static final int | H5D_VDS_FIRST_MISSING = H5D_VDS_FIRST_MISSING()
static final int | H5D_VDS_LAST_AVAILABLE = H5D_VDS_LAST_AVAILABLE()
static final int | H5D_VIRTUAL = H5D_VIRTUAL()
static final long | H5E_ALIGNMENT = H5E_ALIGNMENT()
static final long | H5E_ALREADYEXISTS = H5E_ALREADYEXISTS()
static final long | H5E_ALREADYINIT = H5E_ALREADYINIT()
static final long | H5E_ARGS = H5E_ARGS()
static final long | H5E_ATTR = H5E_ATTR()
static final long | H5E_BADFILE = H5E_BADFILE()
static final long | H5E_BADGROUP = H5E_BADGROUP()
static final long | H5E_BADID = H5E_BADID()
static final long | H5E_BADITER = H5E_BADITER()
static final long | H5E_BADMESG = H5E_BADMESG()
static final long | H5E_BADRANGE = H5E_BADRANGE()
static final long | H5E_BADSELECT = H5E_BADSELECT()
static final long | H5E_BADSIZE = H5E_BADSIZE()
static final long | H5E_BADTYPE = H5E_BADTYPE()
static final long | H5E_BADVALUE = H5E_BADVALUE()
static final long | H5E_BTREE = H5E_BTREE()
static final long | H5E_CACHE = H5E_CACHE()
static final long | H5E_CALLBACK = H5E_CALLBACK()
static final long | H5E_CANAPPLY = H5E_CANAPPLY()
static final long | H5E_CANTALLOC = H5E_CANTALLOC()
static final long | H5E_CANTAPPEND = H5E_CANTAPPEND()
static final long | H5E_CANTATTACH = H5E_CANTATTACH()
static final long | H5E_CANTCLEAN = H5E_CANTCLEAN()
static final long | H5E_CANTCLIP = H5E_CANTCLIP()
static final long | H5E_CANTCLOSEFILE = H5E_CANTCLOSEFILE()
static final long | H5E_CANTCLOSEOBJ = H5E_CANTCLOSEOBJ()
static final long | H5E_CANTCOMPARE = H5E_CANTCOMPARE()
static final long | H5E_CANTCOMPUTE = H5E_CANTCOMPUTE()
static final long | H5E_CANTCONVERT = H5E_CANTCONVERT()
static final long | H5E_CANTCOPY = H5E_CANTCOPY()
static final long | H5E_CANTCORK = H5E_CANTCORK()
static final long | H5E_CANTCOUNT = H5E_CANTCOUNT()
static final long | H5E_CANTCREATE = H5E_CANTCREATE()
static final long | H5E_CANTDEC = H5E_CANTDEC()
static final long | H5E_CANTDECODE = H5E_CANTDECODE()
static final long | H5E_CANTDELETE = H5E_CANTDELETE()
static final long | H5E_CANTDELETEFILE = H5E_CANTDELETEFILE()
static final long | H5E_CANTDEPEND = H5E_CANTDEPEND()
static final long | H5E_CANTDIRTY = H5E_CANTDIRTY()
static final long | H5E_CANTENCODE = H5E_CANTENCODE()
static final long | H5E_CANTEXPUNGE = H5E_CANTEXPUNGE()
static final long | H5E_CANTEXTEND = H5E_CANTEXTEND()
static final long | H5E_CANTFILTER = H5E_CANTFILTER()
static final long | H5E_CANTFLUSH = H5E_CANTFLUSH()
static final long | H5E_CANTFREE = H5E_CANTFREE()
static final long | H5E_CANTGATHER = H5E_CANTGATHER()
static final long | H5E_CANTGC = H5E_CANTGC()
static final long | H5E_CANTGET = H5E_CANTGET()
static final long | H5E_CANTGETSIZE = H5E_CANTGETSIZE()
static final long | H5E_CANTINC = H5E_CANTINC()
static final long | H5E_CANTINIT = H5E_CANTINIT()
static final long | H5E_CANTINS = H5E_CANTINS()
static final long | H5E_CANTINSERT = H5E_CANTINSERT()
static final long | H5E_CANTLIST = H5E_CANTLIST()
static final long | H5E_CANTLOAD = H5E_CANTLOAD()
static final long | H5E_CANTLOCK = H5E_CANTLOCK()
static final long | H5E_CANTLOCKFILE = H5E_CANTLOCKFILE()
static final long | H5E_CANTMARKCLEAN = H5E_CANTMARKCLEAN()
static final long | H5E_CANTMARKDIRTY = H5E_CANTMARKDIRTY()
static final long | H5E_CANTMARKSERIALIZED = H5E_CANTMARKSERIALIZED()
static final long | H5E_CANTMARKUNSERIALIZED = H5E_CANTMARKUNSERIALIZED()
static final long | H5E_CANTMERGE = H5E_CANTMERGE()
static final long | H5E_CANTMODIFY = H5E_CANTMODIFY()
static final long | H5E_CANTMOVE = H5E_CANTMOVE()
static final long | H5E_CANTNEXT = H5E_CANTNEXT()
static final long | H5E_CANTNOTIFY = H5E_CANTNOTIFY()
static final long | H5E_CANTOPENFILE = H5E_CANTOPENFILE()
static final long | H5E_CANTOPENOBJ = H5E_CANTOPENOBJ()
static final long | H5E_CANTOPERATE = H5E_CANTOPERATE()
static final long | H5E_CANTPACK = H5E_CANTPACK()
static final long | H5E_CANTPIN = H5E_CANTPIN()
static final long | H5E_CANTPROTECT = H5E_CANTPROTECT()
static final long | H5E_CANTRECV = H5E_CANTRECV()
static final long | H5E_CANTREDISTRIBUTE = H5E_CANTREDISTRIBUTE()
static final long | H5E_CANTREGISTER = H5E_CANTREGISTER()
static final long | H5E_CANTRELEASE = H5E_CANTRELEASE()
static final long | H5E_CANTREMOVE = H5E_CANTREMOVE()
static final long | H5E_CANTRENAME = H5E_CANTRENAME()
static final long | H5E_CANTRESET = H5E_CANTRESET()
static final long | H5E_CANTRESIZE = H5E_CANTRESIZE()
static final long | H5E_CANTRESTORE = H5E_CANTRESTORE()
static final long | H5E_CANTREVIVE = H5E_CANTREVIVE()
static final long | H5E_CANTSELECT = H5E_CANTSELECT()
static final long | H5E_CANTSERIALIZE = H5E_CANTSERIALIZE()
static final long | H5E_CANTSET = H5E_CANTSET()
static final long | H5E_CANTSHRINK = H5E_CANTSHRINK()
static final long | H5E_CANTSORT = H5E_CANTSORT()
static final long | H5E_CANTSPLIT = H5E_CANTSPLIT()
static final long | H5E_CANTSWAP = H5E_CANTSWAP()
static final long | H5E_CANTTAG = H5E_CANTTAG()
static final long | H5E_CANTUNCORK = H5E_CANTUNCORK()
static final long | H5E_CANTUNDEPEND = H5E_CANTUNDEPEND()
static final long | H5E_CANTUNLOCK = H5E_CANTUNLOCK()
static final long | H5E_CANTUNLOCKFILE = H5E_CANTUNLOCKFILE()
static final long | H5E_CANTUNPIN = H5E_CANTUNPIN()
static final long | H5E_CANTUNPROTECT = H5E_CANTUNPROTECT()
static final long | H5E_CANTUNSERIALIZE = H5E_CANTUNSERIALIZE()
static final long | H5E_CANTUPDATE = H5E_CANTUPDATE()
static final long | H5E_CLOSEERROR = H5E_CLOSEERROR()
static final long | H5E_COMPLEN = H5E_COMPLEN()
static final long | H5E_CONTEXT = H5E_CONTEXT()
static final long | H5E_DATASET = H5E_DATASET()
static final long | H5E_DATASPACE = H5E_DATASPACE()
static final long | H5E_DATATYPE = H5E_DATATYPE()
static final long | H5E_DEFAULT = H5E_DEFAULT()
static final long | H5E_DUPCLASS = H5E_DUPCLASS()
static final long | H5E_EARRAY = H5E_EARRAY()
static final long | H5E_EFL = H5E_EFL()
static final long | H5E_ERROR = H5E_ERROR()
static final long | H5E_EXISTS = H5E_EXISTS()
static final long | H5E_FARRAY = H5E_FARRAY()
static final long | H5E_FCNTL = H5E_FCNTL()
static final long | H5E_FILE = H5E_FILE()
static final long | H5E_FILEEXISTS = H5E_FILEEXISTS()
static final long | H5E_FILEOPEN = H5E_FILEOPEN()
static final long | H5E_FSPACE = H5E_FSPACE()
static final long | H5E_FUNC = H5E_FUNC()
static final long | H5E_HEAP = H5E_HEAP()
static final long | H5E_ID = H5E_ID()
static final long | H5E_INCONSISTENTSTATE = H5E_INCONSISTENTSTATE()
static final long | H5E_INTERNAL = H5E_INTERNAL()
static final long | H5E_IO = H5E_IO()
static final long | H5E_LINK = H5E_LINK()
static final long | H5E_LINKCOUNT = H5E_LINKCOUNT()
static final long | H5E_LOGGING = H5E_LOGGING()
static final int | H5E_MAJOR = H5E_MAJOR()
static final long | H5E_MAP = H5E_MAP()
static final int | H5E_MINOR = H5E_MINOR()
static final long | H5E_MOUNT = H5E_MOUNT()
static final long | H5E_MPI = H5E_MPI()
static final long | H5E_MPIERRSTR = H5E_MPIERRSTR()
static final long | H5E_NLINKS = H5E_NLINKS()
static final long | H5E_NO_INDEPENDENT = H5E_NO_INDEPENDENT()
static final long | H5E_NOENCODER = H5E_NOENCODER()
static final long | H5E_NOFILTER = H5E_NOFILTER()
static final long | H5E_NOIDS = H5E_NOIDS()
static final long | H5E_NONE_MAJOR = H5E_NONE_MAJOR()
static final long | H5E_NONE_MINOR = H5E_NONE_MINOR()
static final long | H5E_NOSPACE = H5E_NOSPACE()
static final long | H5E_NOTCACHED = H5E_NOTCACHED()
static final long | H5E_NOTFOUND = H5E_NOTFOUND()
static final long | H5E_NOTHDF5 = H5E_NOTHDF5()
static final long | H5E_NOTREGISTERED = H5E_NOTREGISTERED()
static final long | H5E_OBJOPEN = H5E_OBJOPEN()
static final long | H5E_OHDR = H5E_OHDR()
static final long | H5E_OPENERROR = H5E_OPENERROR()
static final long | H5E_OVERFLOW = H5E_OVERFLOW()
static final long | H5E_PAGEBUF = H5E_PAGEBUF()
static final long | H5E_PATH = H5E_PATH()
static final long | H5E_PLINE = H5E_PLINE()
static final long | H5E_PLIST = H5E_PLIST()
static final long | H5E_PLUGIN = H5E_PLUGIN()
static final long | H5E_PROTECT = H5E_PROTECT()
static final long | H5E_READERROR = H5E_READERROR()
static final long | H5E_REFERENCE = H5E_REFERENCE()
static final long | H5E_RESOURCE = H5E_RESOURCE()
static final long | H5E_RS = H5E_RS()
static final long | H5E_SEEKERROR = H5E_SEEKERROR()
static final long | H5E_SETDISALLOWED = H5E_SETDISALLOWED()
static final long | H5E_SETLOCAL = H5E_SETLOCAL()
static final long | H5E_SLIST = H5E_SLIST()
static final long | H5E_SOHM = H5E_SOHM()
static final long | H5E_STORAGE = H5E_STORAGE()
static final long | H5E_SYM = H5E_SYM()
static final long | H5E_SYSERRSTR = H5E_SYSERRSTR()
static final long | H5E_SYSTEM = H5E_SYSTEM()
static final long | H5E_TRAVERSE = H5E_TRAVERSE()
static final long | H5E_TRUNCATED = H5E_TRUNCATED()
static final long | H5E_TST = H5E_TST()
static final long | H5E_UNINITIALIZED = H5E_UNINITIALIZED()
static final long | H5E_UNSUPPORTED = H5E_UNSUPPORTED()
static final long | H5E_VERSION = H5E_VERSION()
static final long | H5E_VFL = H5E_VFL()
static final long | H5E_VOL = H5E_VOL()
static final long | H5E_WALK_DOWNWARD = H5E_WALK_DOWNWARD()
static final long | H5E_WALK_UPWARD = H5E_WALK_UPWARD()
static final long | H5E_WRITEERROR = H5E_WRITEERROR()
static final int | H5F_ACC_CREAT = H5F_ACC_CREAT()
static final int | H5F_ACC_DEFAULT = H5F_ACC_DEFAULT()
static final int | H5F_ACC_EXCL = H5F_ACC_EXCL()
static final int | H5F_ACC_RDONLY = H5F_ACC_RDONLY()
static final int | H5F_ACC_RDWR = H5F_ACC_RDWR()
static final int | H5F_ACC_SWMR_READ = H5F_ACC_SWMR_READ()
static final int | H5F_ACC_SWMR_WRITE = H5F_ACC_SWMR_WRITE()
static final int | H5F_ACC_TRUNC = H5F_ACC_TRUNC()
static final int | H5F_CLOSE_DEFAULT = H5F_CLOSE_DEFAULT()
static final int | H5F_CLOSE_SEMI = H5F_CLOSE_SEMI()
static final int | H5F_CLOSE_STRONG = H5F_CLOSE_STRONG()
static final int | H5F_CLOSE_WEAK = H5F_CLOSE_WEAK()
static final int | H5F_FSPACE_STRATEGY_AGGR = H5F_FSPACE_STRATEGY_AGGR()
static final int | H5F_FSPACE_STRATEGY_FSM_AGGR = H5F_FSPACE_STRATEGY_FSM_AGGR()
static final int | H5F_FSPACE_STRATEGY_NONE = H5F_FSPACE_STRATEGY_NONE()
static final int | H5F_FSPACE_STRATEGY_NTYPES = H5F_FSPACE_STRATEGY_NTYPES()
static final int | H5F_FSPACE_STRATEGY_PAGE = H5F_FSPACE_STRATEGY_PAGE()
static final int | H5F_LIBVER_EARLIEST = H5F_LIBVER_EARLIEST()
static final int | H5F_LIBVER_ERROR = H5F_LIBVER_ERROR()
static final int | H5F_LIBVER_LATEST = H5F_LIBVER_LATEST()
static final int | H5F_LIBVER_NBOUNDS = H5F_LIBVER_NBOUNDS()
static final int | H5F_LIBVER_V110 = H5F_LIBVER_V110()
static final int | H5F_LIBVER_V112 = H5F_LIBVER_V112()
static final int | H5F_LIBVER_V114 = H5F_LIBVER_V114()
static final int | H5F_LIBVER_V18 = H5F_LIBVER_V18()
static final int | H5F_LIBVER_V200 = H5F_LIBVER_V200()
static final int | H5F_OBJ_ALL = H5F_OBJ_ALL()
static final int | H5F_OBJ_ATTR = H5F_OBJ_ATTR()
static final int | H5F_OBJ_DATASET = H5F_OBJ_DATASET()
static final int | H5F_OBJ_DATATYPE = H5F_OBJ_DATATYPE()
static final int | H5F_OBJ_FILE = H5F_OBJ_FILE()
static final int | H5F_OBJ_GROUP = H5F_OBJ_GROUP()
static final int | H5F_OBJ_LOCAL = H5F_OBJ_LOCAL()
static final int | H5F_SCOPE_GLOBAL = H5F_SCOPE_GLOBAL()
static final int | H5F_SCOPE_LOCAL = H5F_SCOPE_LOCAL()
static final int | H5F_UNLIMITED = H5F_UNLIMITED()
static final long | H5FD_CORE = H5FD_CORE()
static final long | H5FD_DEFAULT_HADDR_SIZE = H5FD_DEFAULT_HADDR_SIZE()
static final long | H5FD_DIRECT = H5FD_DIRECT()
static final long | H5FD_FAMILY = H5FD_FAMILY()
static final long | H5FD_HDFS = H5FD_HDFS()
static final long | H5FD_LOG = H5FD_LOG()
static final int | H5FD_LOG_ALL = H5FD_LOG_ALL()
static final int | H5FD_LOG_ALLOC = H5FD_LOG_ALLOC()
static final int | H5FD_LOG_FILE_IO = H5FD_LOG_FILE_IO()
static final int | H5FD_LOG_FILE_READ = H5FD_LOG_FILE_READ()
static final int | H5FD_LOG_FILE_WRITE = H5FD_LOG_FILE_WRITE()
static final int | H5FD_LOG_FLAVOR = H5FD_LOG_FLAVOR()
static final int | H5FD_LOG_LOC_IO = H5FD_LOG_LOC_IO()
static final int | H5FD_LOG_LOC_READ = H5FD_LOG_LOC_READ()
static final int | H5FD_LOG_LOC_SEEK = H5FD_LOG_LOC_SEEK()
static final int | H5FD_LOG_LOC_WRITE = H5FD_LOG_LOC_WRITE()
static final int | H5FD_LOG_NUM_IO = H5FD_LOG_NUM_IO()
static final int | H5FD_LOG_NUM_READ = H5FD_LOG_NUM_READ()
static final int | H5FD_LOG_NUM_SEEK = H5FD_LOG_NUM_SEEK()
static final int | H5FD_LOG_NUM_TRUNCATE = H5FD_LOG_NUM_TRUNCATE()
static final int | H5FD_LOG_NUM_WRITE = H5FD_LOG_NUM_WRITE()
static final int | H5FD_LOG_TIME_CLOSE = H5FD_LOG_TIME_CLOSE()
static final int | H5FD_LOG_TIME_IO = H5FD_LOG_TIME_IO()
static final int | H5FD_LOG_TIME_OPEN = H5FD_LOG_TIME_OPEN()
static final int | H5FD_LOG_TIME_READ = H5FD_LOG_TIME_READ()
static final int | H5FD_LOG_TIME_SEEK = H5FD_LOG_TIME_SEEK()
static final int | H5FD_LOG_TIME_STAT = H5FD_LOG_TIME_STAT()
static final int | H5FD_LOG_TIME_WRITE = H5FD_LOG_TIME_WRITE()
static final int | H5FD_MEM_BTREE = H5FD_MEM_BTREE()
static final int | H5FD_MEM_DEFAULT = H5FD_MEM_DEFAULT()
static final long | H5FD_MEM_DEFAULT_BTREE_SIZE = H5FD_MEM_DEFAULT_BTREE_SIZE()
static final long | H5FD_MEM_DEFAULT_DRAW_SIZE = H5FD_MEM_DEFAULT_DRAW_SIZE()
static final long | H5FD_MEM_DEFAULT_GHEAP_SIZE = H5FD_MEM_DEFAULT_GHEAP_SIZE()
static final long | H5FD_MEM_DEFAULT_LHEAP_SIZE = H5FD_MEM_DEFAULT_LHEAP_SIZE()
static final long | H5FD_MEM_DEFAULT_OHDR_SIZE = H5FD_MEM_DEFAULT_OHDR_SIZE()
static final long | H5FD_MEM_DEFAULT_SIZE = H5FD_MEM_DEFAULT_SIZE()
static final long | H5FD_MEM_DEFAULT_SUPER_SIZE = H5FD_MEM_DEFAULT_SUPER_SIZE()
static final int | H5FD_MEM_DRAW = H5FD_MEM_DRAW()
static final int | H5FD_MEM_GHEAP = H5FD_MEM_GHEAP()
static final int | H5FD_MEM_LHEAP = H5FD_MEM_LHEAP()
static final int | H5FD_MEM_NOLIST = H5FD_MEM_NOLIST()
static final int | H5FD_MEM_NTYPES = H5FD_MEM_NTYPES()
static final int | H5FD_MEM_OHDR = H5FD_MEM_OHDR()
static final int | H5FD_MEM_SUPER = H5FD_MEM_SUPER()
static final long | H5FD_MPIO = H5FD_MPIO()
static final long | H5FD_MULTI = H5FD_MULTI()
static final long | H5FD_ROS3 = H5FD_ROS3()
static final long | H5FD_SEC2 = H5FD_SEC2()
static final long | H5FD_STDIO = H5FD_STDIO()
static final long | H5FD_WINDOWS = H5FD_WINDOWS()
static final int | H5G_STORAGE_TYPE_COMPACT = H5G_STORAGE_TYPE_COMPACT()
static final int | H5G_STORAGE_TYPE_DENSE = H5G_STORAGE_TYPE_DENSE()
static final int | H5G_STORAGE_TYPE_SYMBOL_TABLE = H5G_STORAGE_TYPE_SYMBOL_TABLE()
static final int | H5G_STORAGE_TYPE_UNKNOWN = H5G_STORAGE_TYPE_UNKNOWN()
static final int | H5I_ATTR = H5I_ATTR()
static final int | H5I_BADID = H5I_BADID()
static final int | H5I_DATASET = H5I_DATASET()
static final int | H5I_DATASPACE = H5I_DATASPACE()
static final int | H5I_DATATYPE = H5I_DATATYPE()
static final int | H5I_ERROR_CLASS = H5I_ERROR_CLASS()
static final int | H5I_ERROR_MSG = H5I_ERROR_MSG()
static final int | H5I_ERROR_STACK = H5I_ERROR_STACK()
static final int | H5I_FILE = H5I_FILE()
static final int | H5I_GENPROP_CLS = H5I_GENPROP_CLS()
static final int | H5I_GENPROP_LST = H5I_GENPROP_LST()
static final int | H5I_GROUP = H5I_GROUP()
static final int | H5I_INVALID_HID = H5I_INVALID_HID()
static final int | H5I_NTYPES = H5I_NTYPES()
static final int | H5I_UNINIT = H5I_UNINIT()
static final int | H5I_VFL = H5I_VFL()
static final int | H5I_VOL = H5I_VOL()
static final int | H5L_TYPE_ERROR = H5L_TYPE_ERROR()
static final int | H5L_TYPE_EXTERNAL = H5L_TYPE_EXTERNAL()
static final int | H5L_TYPE_HARD = H5L_TYPE_HARD()
static final int | H5L_TYPE_MAX = H5L_TYPE_MAX()
static final int | H5L_TYPE_SOFT = H5L_TYPE_SOFT()
static final int | H5O_COPY_EXPAND_EXT_LINK_FLAG = H5O_COPY_EXPAND_EXT_LINK_FLAG()
static final int | H5O_COPY_EXPAND_REFERENCE_FLAG = H5O_COPY_EXPAND_REFERENCE_FLAG()
static final int | H5O_COPY_EXPAND_SOFT_LINK_FLAG = H5O_COPY_EXPAND_SOFT_LINK_FLAG()
static final int | H5O_COPY_PRESERVE_NULL_FLAG = H5O_COPY_PRESERVE_NULL_FLAG()
static final int | H5O_COPY_SHALLOW_HIERARCHY_FLAG = H5O_COPY_SHALLOW_HIERARCHY_FLAG()
static final int | H5O_COPY_WITHOUT_ATTR_FLAG = H5O_COPY_WITHOUT_ATTR_FLAG()
static final int | H5O_INFO_ALL = H5O_INFO_ALL()
static final int | H5O_INFO_BASIC = H5O_INFO_BASIC()
static final int | H5O_INFO_NUM_ATTRS = H5O_INFO_NUM_ATTRS()
static final int | H5O_INFO_TIME = H5O_INFO_TIME()
static final int | H5O_MAX_TOKEN_SIZE = H5O_MAX_TOKEN_SIZE()
static final int | H5O_NATIVE_INFO_ALL = H5O_NATIVE_INFO_ALL()
static final int | H5O_NATIVE_INFO_HDR = H5O_NATIVE_INFO_HDR()
static final int | H5O_NATIVE_INFO_META_SIZE = H5O_NATIVE_INFO_META_SIZE()
static final int | H5O_SHMESG_ALL_FLAG = H5O_SHMESG_ALL_FLAG()
static final int | H5O_SHMESG_ATTR_FLAG = H5O_SHMESG_ATTR_FLAG()
static final int | H5O_SHMESG_DTYPE_FLAG = H5O_SHMESG_DTYPE_FLAG()
static final int | H5O_SHMESG_FILL_FLAG = H5O_SHMESG_FILL_FLAG()
static final int | H5O_SHMESG_NONE_FLAG = H5O_SHMESG_NONE_FLAG()
static final int | H5O_SHMESG_PLINE_FLAG = H5O_SHMESG_PLINE_FLAG()
static final int | H5O_SHMESG_SDSPACE_FLAG = H5O_SHMESG_SDSPACE_FLAG()
static final H5O_token_t | H5O_TOKEN_UNDEF = H5O_TOKEN_UNDEF()
static final int | H5O_TYPE_DATASET = H5O_TYPE_DATASET()
static final int | H5O_TYPE_GROUP = H5O_TYPE_GROUP()
static final int | H5O_TYPE_NAMED_DATATYPE = H5O_TYPE_NAMED_DATATYPE()
static final int | H5O_TYPE_NTYPES = H5O_TYPE_NTYPES()
static final int | H5O_TYPE_UNKNOWN = H5O_TYPE_UNKNOWN()
static final long | H5P_ATTRIBUTE_ACCESS = H5P_ATTRIBUTE_ACCESS()
static final long | H5P_ATTRIBUTE_ACCESS_DEFAULT = H5P_ATTRIBUTE_ACCESS_DEFAULT()
static final long | H5P_ATTRIBUTE_CREATE = H5P_ATTRIBUTE_CREATE()
static final long | H5P_ATTRIBUTE_CREATE_DEFAULT = H5P_ATTRIBUTE_CREATE_DEFAULT()
static final int | H5P_CRT_ORDER_INDEXED = H5P_CRT_ORDER_INDEXED()
static final int | H5P_CRT_ORDER_TRACKED = H5P_CRT_ORDER_TRACKED()
static final long | H5P_DATASET_ACCESS = H5P_DATASET_ACCESS()
static final long | H5P_DATASET_ACCESS_DEFAULT = H5P_DATASET_ACCESS_DEFAULT()
static final long | H5P_DATASET_CREATE = H5P_DATASET_CREATE()
static final long | H5P_DATASET_CREATE_DEFAULT = H5P_DATASET_CREATE_DEFAULT()
static final long | H5P_DATASET_XFER = H5P_DATASET_XFER()
static final long | H5P_DATASET_XFER_DEFAULT = H5P_DATASET_XFER_DEFAULT()
static final long | H5P_DATATYPE_ACCESS = H5P_DATATYPE_ACCESS()
static final long | H5P_DATATYPE_ACCESS_DEFAULT = H5P_DATATYPE_ACCESS_DEFAULT()
static final long | H5P_DATATYPE_CREATE = H5P_DATATYPE_CREATE()
static final long | H5P_DATATYPE_CREATE_DEFAULT = H5P_DATATYPE_CREATE_DEFAULT()
static final long | H5P_DEFAULT = H5P_DEFAULT()
static final long | H5P_FILE_ACCESS = H5P_FILE_ACCESS()
static final long | H5P_FILE_ACCESS_DEFAULT = H5P_FILE_ACCESS_DEFAULT()
static final long | H5P_FILE_CREATE = H5P_FILE_CREATE()
static final long | H5P_FILE_CREATE_DEFAULT = H5P_FILE_CREATE_DEFAULT()
static final long | H5P_FILE_MOUNT = H5P_FILE_MOUNT()
static final long | H5P_FILE_MOUNT_DEFAULT = H5P_FILE_MOUNT_DEFAULT()
static final long | H5P_GROUP_ACCESS = H5P_GROUP_ACCESS()
static final long | H5P_GROUP_ACCESS_DEFAULT = H5P_GROUP_ACCESS_DEFAULT()
static final long | H5P_GROUP_CREATE = H5P_GROUP_CREATE()
static final long | H5P_GROUP_CREATE_DEFAULT = H5P_GROUP_CREATE_DEFAULT()
static final long | H5P_LINK_ACCESS = H5P_LINK_ACCESS()
static final long | H5P_LINK_ACCESS_DEFAULT = H5P_LINK_ACCESS_DEFAULT()
static final long | H5P_LINK_CREATE = H5P_LINK_CREATE()
static final long | H5P_LINK_CREATE_DEFAULT = H5P_LINK_CREATE_DEFAULT()
static final long | H5P_OBJECT_COPY = H5P_OBJECT_COPY()
static final long | H5P_OBJECT_COPY_DEFAULT = H5P_OBJECT_COPY_DEFAULT()
static final long | H5P_OBJECT_CREATE = H5P_OBJECT_CREATE()
static final long | H5P_ROOT = H5P_ROOT()
static final long | H5P_STRING_CREATE = H5P_STRING_CREATE()
static final long | H5P_VOL_INITIALIZE = H5P_VOL_INITIALIZE()
static final long | H5P_VOL_INITIALIZE_DEFAULT = H5P_VOL_INITIALIZE_DEFAULT()
static final int | H5PL_ALL_PLUGIN = H5PL_ALL_PLUGIN()
static final int | H5PL_FILTER_PLUGIN = H5PL_FILTER_PLUGIN()
static final int | H5PL_TYPE_ERROR = H5PL_TYPE_ERROR()
static final int | H5PL_TYPE_FILTER = H5PL_TYPE_FILTER()
static final int | H5PL_TYPE_NONE = H5PL_TYPE_NONE()
static final int | H5PL_TYPE_VOL = H5PL_TYPE_VOL()
static final int | H5PL_VOL_PLUGIN = H5PL_VOL_PLUGIN()
static final int | H5R_ATTR = H5R_ATTR()
static final int | H5R_BADTYPE = H5R_BADTYPE()
static final int | H5R_DATASET_REGION = H5R_DATASET_REGION()
static final int | H5R_DATASET_REGION1 = H5R_DATASET_REGION1()
static final int | H5R_DATASET_REGION2 = H5R_DATASET_REGION2()
static final int | H5R_DSET_REG_REF_BUF_SIZE = H5R_DSET_REG_REF_BUF_SIZE()
static final int | H5R_MAXTYPE = H5R_MAXTYPE()
static final int | H5R_OBJ_REF_BUF_SIZE = H5R_OBJ_REF_BUF_SIZE()
static final int | H5R_OBJECT = H5R_OBJECT()
static final int | H5R_OBJECT1 = H5R_OBJECT1()
static final int | H5R_OBJECT2 = H5R_OBJECT2()
static final int | H5R_REF_BUF_SIZE = H5R_REF_BUF_SIZE()
static final int | H5S_ALL = H5S_ALL()
static final int | H5S_MAX_RANK = H5S_MAX_RANK()
static final int | H5S_NO_CLASS = H5S_NO_CLASS()
static final int | H5S_NULL = H5S_NULL()
static final int | H5S_SCALAR = H5S_SCALAR()
static final int | H5S_SEL_ALL = H5S_SEL_ALL()
static final int | H5S_SEL_ERROR = H5S_SEL_ERROR()
static final int | H5S_SEL_HYPERSLABS = H5S_SEL_HYPERSLABS()
static final int | H5S_SEL_N = H5S_SEL_N()
static final int | H5S_SEL_NONE = H5S_SEL_NONE()
static final int | H5S_SEL_POINTS = H5S_SEL_POINTS()
static final int | H5S_SELECT_AND = H5S_SELECT_AND()
static final int | H5S_SELECT_APPEND = H5S_SELECT_APPEND()
static final int | H5S_SELECT_INVALID = H5S_SELECT_INVALID()
static final int | H5S_SELECT_NOOP = H5S_SELECT_NOOP()
static final int | H5S_SELECT_NOTA = H5S_SELECT_NOTA()
static final int | H5S_SELECT_NOTB = H5S_SELECT_NOTB()
static final int | H5S_SELECT_OR = H5S_SELECT_OR()
static final int | H5S_SELECT_PREPEND = H5S_SELECT_PREPEND()
static final int | H5S_SELECT_SET = H5S_SELECT_SET()
static final int | H5S_SELECT_XOR = H5S_SELECT_XOR()
static final int | H5S_SIMPLE = H5S_SIMPLE()
static final int | H5S_UNLIMITED = H5S_UNLIMITED()
static final long | H5T_ALPHA_B16 = H5T_ALPHA_B16()
static final long | H5T_ALPHA_B32 = H5T_ALPHA_B32()
static final long | H5T_ALPHA_B64 = H5T_ALPHA_B64()
static final long | H5T_ALPHA_B8 = H5T_ALPHA_B8()
static final long | H5T_ALPHA_F32 = H5T_ALPHA_F32()
static final long | H5T_ALPHA_F64 = H5T_ALPHA_F64()
static final long | H5T_ALPHA_I16 = H5T_ALPHA_I16()
static final long | H5T_ALPHA_I32 = H5T_ALPHA_I32()
static final long | H5T_ALPHA_I64 = H5T_ALPHA_I64()
static final long | H5T_ALPHA_I8 = H5T_ALPHA_I8()
static final long | H5T_ALPHA_U16 = H5T_ALPHA_U16()
static final long | H5T_ALPHA_U32 = H5T_ALPHA_U32()
static final long | H5T_ALPHA_U64 = H5T_ALPHA_U64()
static final long | H5T_ALPHA_U8 = H5T_ALPHA_U8()
static final int | H5T_ARRAY = H5T_ARRAY()
static final int | H5T_BITFIELD = H5T_BITFIELD()
static final int | H5T_BKG_NO = H5T_BKG_NO()
static final int | H5T_BKG_YES = H5T_BKG_YES()
static final long | H5T_C_S1 = H5T_C_S1()
static final int | H5T_COMPLEX = H5T_COMPLEX()
static final long | H5T_COMPLEX_IEEE_F16BE = H5T_COMPLEX_IEEE_F16BE()
static final long | H5T_COMPLEX_IEEE_F16LE = H5T_COMPLEX_IEEE_F16LE()
static final long | H5T_COMPLEX_IEEE_F32BE = H5T_COMPLEX_IEEE_F32BE()
static final long | H5T_COMPLEX_IEEE_F32LE = H5T_COMPLEX_IEEE_F32LE()
static final long | H5T_COMPLEX_IEEE_F64BE = H5T_COMPLEX_IEEE_F64BE()
static final long | H5T_COMPLEX_IEEE_F64LE = H5T_COMPLEX_IEEE_F64LE()
static final int | H5T_COMPOUND = H5T_COMPOUND()
static final int | H5T_CONV_CONV = H5T_CONV_CONV()
static final int | H5T_CONV_FREE = H5T_CONV_FREE()
static final int | H5T_CONV_INIT = H5T_CONV_INIT()
static final int | H5T_CSET_ASCII = H5T_CSET_ASCII()
static final int | H5T_CSET_ERROR = H5T_CSET_ERROR()
static final int | H5T_CSET_RESERVED_10 = H5T_CSET_RESERVED_10()
static final int | H5T_CSET_RESERVED_11 = H5T_CSET_RESERVED_11()
static final int | H5T_CSET_RESERVED_12 = H5T_CSET_RESERVED_12()
static final int | H5T_CSET_RESERVED_13 = H5T_CSET_RESERVED_13()
static final int | H5T_CSET_RESERVED_14 = H5T_CSET_RESERVED_14()
static final int | H5T_CSET_RESERVED_15 = H5T_CSET_RESERVED_15()
static final int | H5T_CSET_RESERVED_2 = H5T_CSET_RESERVED_2()
static final int | H5T_CSET_RESERVED_3 = H5T_CSET_RESERVED_3()
static final int | H5T_CSET_RESERVED_4 = H5T_CSET_RESERVED_4()
static final int | H5T_CSET_RESERVED_5 = H5T_CSET_RESERVED_5()
static final int | H5T_CSET_RESERVED_6 = H5T_CSET_RESERVED_6()
static final int | H5T_CSET_RESERVED_7 = H5T_CSET_RESERVED_7()
static final int | H5T_CSET_RESERVED_8 = H5T_CSET_RESERVED_8()
static final int | H5T_CSET_RESERVED_9 = H5T_CSET_RESERVED_9()
static final int | H5T_CSET_UTF8 = H5T_CSET_UTF8()
static final int | H5T_DIR_ASCEND = H5T_DIR_ASCEND()
static final int | H5T_DIR_DEFAULT = H5T_DIR_DEFAULT()
static final int | H5T_DIR_DESCEND = H5T_DIR_DESCEND()
static final int | H5T_ENUM = H5T_ENUM()
static final int | H5T_FLOAT = H5T_FLOAT()
static final long | H5T_FLOAT_BFLOAT16BE = H5T_FLOAT_BFLOAT16BE()
static final long | H5T_FLOAT_BFLOAT16LE = H5T_FLOAT_BFLOAT16LE()
static final long | H5T_FLOAT_F4E2M1 = H5T_FLOAT_F4E2M1()
static final long | H5T_FLOAT_F6E2M3 = H5T_FLOAT_F6E2M3()
static final long | H5T_FLOAT_F6E3M2 = H5T_FLOAT_F6E3M2()
static final long | H5T_FLOAT_F8E4M3 = H5T_FLOAT_F8E4M3()
static final long | H5T_FLOAT_F8E5M2 = H5T_FLOAT_F8E5M2()
static final long | H5T_FORTRAN_S1 = H5T_FORTRAN_S1()
static final long | H5T_IEEE_F16BE = H5T_IEEE_F16BE()
static final long | H5T_IEEE_F16LE = H5T_IEEE_F16LE()
static final long | H5T_IEEE_F32BE = H5T_IEEE_F32BE()
static final long | H5T_IEEE_F32LE = H5T_IEEE_F32LE()
static final long | H5T_IEEE_F64BE = H5T_IEEE_F64BE()
static final long | H5T_IEEE_F64LE = H5T_IEEE_F64LE()
static final int | H5T_INTEGER = H5T_INTEGER()
static final long | H5T_INTEL_B16 = H5T_INTEL_B16()
static final long | H5T_INTEL_B32 = H5T_INTEL_B32()
static final long | H5T_INTEL_B64 = H5T_INTEL_B64()
static final long | H5T_INTEL_B8 = H5T_INTEL_B8()
static final long | H5T_INTEL_F32 = H5T_INTEL_F32()
static final long | H5T_INTEL_F64 = H5T_INTEL_F64()
static final long | H5T_INTEL_I16 = H5T_INTEL_I16()
static final long | H5T_INTEL_I32 = H5T_INTEL_I32()
static final long | H5T_INTEL_I64 = H5T_INTEL_I64()
static final long | H5T_INTEL_I8 = H5T_INTEL_I8()
static final long | H5T_INTEL_U16 = H5T_INTEL_U16()
static final long | H5T_INTEL_U32 = H5T_INTEL_U32()
static final long | H5T_INTEL_U64 = H5T_INTEL_U64()
static final long | H5T_INTEL_U8 = H5T_INTEL_U8()
static final long | H5T_MIPS_B16 = H5T_MIPS_B16()
static final long | H5T_MIPS_B32 = H5T_MIPS_B32()
static final long | H5T_MIPS_B64 = H5T_MIPS_B64()
static final long | H5T_MIPS_B8 = H5T_MIPS_B8()
static final long | H5T_MIPS_F32 = H5T_MIPS_F32()
static final long | H5T_MIPS_F64 = H5T_MIPS_F64()
static final long | H5T_MIPS_I16 = H5T_MIPS_I16()
static final long | H5T_MIPS_I32 = H5T_MIPS_I32()
static final long | H5T_MIPS_I64 = H5T_MIPS_I64()
static final long | H5T_MIPS_I8 = H5T_MIPS_I8()
static final long | H5T_MIPS_U16 = H5T_MIPS_U16()
static final long | H5T_MIPS_U32 = H5T_MIPS_U32()
static final long | H5T_MIPS_U64 = H5T_MIPS_U64()
static final long | H5T_MIPS_U8 = H5T_MIPS_U8()
static final long | H5T_NATIVE_B16 = H5T_NATIVE_B16()
static final long | H5T_NATIVE_B32 = H5T_NATIVE_B32()
static final long | H5T_NATIVE_B64 = H5T_NATIVE_B64()
static final long | H5T_NATIVE_B8 = H5T_NATIVE_B8()
static final long | H5T_NATIVE_CHAR = H5T_NATIVE_CHAR()
static final long | H5T_NATIVE_DOUBLE = H5T_NATIVE_DOUBLE()
static final long | H5T_NATIVE_DOUBLE_COMPLEX = H5T_NATIVE_DOUBLE_COMPLEX()
static final long | H5T_NATIVE_FLOAT = H5T_NATIVE_FLOAT()
static final long | H5T_NATIVE_FLOAT16 = H5T_NATIVE_FLOAT16()
static final long | H5T_NATIVE_FLOAT_COMPLEX = H5T_NATIVE_FLOAT_COMPLEX()
static final long | H5T_NATIVE_HADDR = H5T_NATIVE_HADDR()
static final long | H5T_NATIVE_HBOOL = H5T_NATIVE_HBOOL()
static final long | H5T_NATIVE_HERR = H5T_NATIVE_HERR()
static final long | H5T_NATIVE_HSIZE = H5T_NATIVE_HSIZE()
static final long | H5T_NATIVE_HSSIZE = H5T_NATIVE_HSSIZE()
static final long | H5T_NATIVE_INT = H5T_NATIVE_INT()
static final long | H5T_NATIVE_INT16 = H5T_NATIVE_INT16()
static final long | H5T_NATIVE_INT32 = H5T_NATIVE_INT32()
static final long | H5T_NATIVE_INT64 = H5T_NATIVE_INT64()
static final long | H5T_NATIVE_INT8 = H5T_NATIVE_INT8()
static final long | H5T_NATIVE_INT_FAST16 = H5T_NATIVE_INT_FAST16()
static final long | H5T_NATIVE_INT_FAST32 = H5T_NATIVE_INT_FAST32()
static final long | H5T_NATIVE_INT_FAST64 = H5T_NATIVE_INT_FAST64()
static final long | H5T_NATIVE_INT_FAST8 = H5T_NATIVE_INT_FAST8()
static final long | H5T_NATIVE_INT_LEAST16 = H5T_NATIVE_INT_LEAST16()
static final long | H5T_NATIVE_INT_LEAST32 = H5T_NATIVE_INT_LEAST32()
static final long | H5T_NATIVE_INT_LEAST64 = H5T_NATIVE_INT_LEAST64()
static final long | H5T_NATIVE_INT_LEAST8 = H5T_NATIVE_INT_LEAST8()
static final long | H5T_NATIVE_LDOUBLE = H5T_NATIVE_LDOUBLE()
static final long | H5T_NATIVE_LDOUBLE_COMPLEX = H5T_NATIVE_LDOUBLE_COMPLEX()
static final long | H5T_NATIVE_LLONG = H5T_NATIVE_LLONG()
static final long | H5T_NATIVE_LONG = H5T_NATIVE_LONG()
static final long | H5T_NATIVE_OPAQUE = H5T_NATIVE_OPAQUE()
static final long | H5T_NATIVE_SCHAR = H5T_NATIVE_SCHAR()
static final long | H5T_NATIVE_SHORT = H5T_NATIVE_SHORT()
static final long | H5T_NATIVE_UCHAR = H5T_NATIVE_UCHAR()
static final long | H5T_NATIVE_UINT = H5T_NATIVE_UINT()
static final long | H5T_NATIVE_UINT16 = H5T_NATIVE_UINT16()
static final long | H5T_NATIVE_UINT32 = H5T_NATIVE_UINT32()
static final long | H5T_NATIVE_UINT64 = H5T_NATIVE_UINT64()
static final long | H5T_NATIVE_UINT8 = H5T_NATIVE_UINT8()
static final long | H5T_NATIVE_UINT_FAST16 = H5T_NATIVE_UINT_FAST16()
static final long | H5T_NATIVE_UINT_FAST32 = H5T_NATIVE_UINT_FAST32()
static final long | H5T_NATIVE_UINT_FAST64 = H5T_NATIVE_UINT_FAST64()
static final long | H5T_NATIVE_UINT_FAST8 = H5T_NATIVE_UINT_FAST8()
static final long | H5T_NATIVE_UINT_LEAST16 = H5T_NATIVE_UINT_LEAST16()
static final long | H5T_NATIVE_UINT_LEAST32 = H5T_NATIVE_UINT_LEAST32()
static final long | H5T_NATIVE_UINT_LEAST64 = H5T_NATIVE_UINT_LEAST64()
static final long | H5T_NATIVE_UINT_LEAST8 = H5T_NATIVE_UINT_LEAST8()
static final long | H5T_NATIVE_ULLONG = H5T_NATIVE_ULLONG()
static final long | H5T_NATIVE_ULONG = H5T_NATIVE_ULONG()
static final long | H5T_NATIVE_USHORT = H5T_NATIVE_USHORT()
static final int | H5T_NCLASSES = H5T_NCLASSES()
static final int | H5T_NO_CLASS = H5T_NO_CLASS()
static final int | H5T_NORM_ERROR = H5T_NORM_ERROR()
static final int | H5T_NORM_IMPLIED = H5T_NORM_IMPLIED()
static final int | H5T_NORM_MSBSET = H5T_NORM_MSBSET()
static final int | H5T_NORM_NONE = H5T_NORM_NONE()
static final int | H5T_NPAD = H5T_NPAD()
static final int | H5T_NSGN = H5T_NSGN()
static final int | H5T_OPAQUE = H5T_OPAQUE()
static final int | H5T_OPAQUE_TAG_MAX = H5T_OPAQUE_TAG_MAX()
static final int | H5T_ORDER_BE = H5T_ORDER_BE()
static final int | H5T_ORDER_ERROR = H5T_ORDER_ERROR()
static final int | H5T_ORDER_LE = H5T_ORDER_LE()
static final int | H5T_ORDER_NONE = H5T_ORDER_NONE()
static final int | H5T_ORDER_VAX = H5T_ORDER_VAX()
static final int | H5T_PAD_BACKGROUND = H5T_PAD_BACKGROUND()
static final int | H5T_PAD_ERROR = H5T_PAD_ERROR()
static final int | H5T_PAD_ONE = H5T_PAD_ONE()
static final int | H5T_PAD_ZERO = H5T_PAD_ZERO()
static final int | H5T_PERS_DONTCARE = H5T_PERS_DONTCARE()
static final int | H5T_PERS_HARD = H5T_PERS_HARD()
static final int | H5T_PERS_SOFT = H5T_PERS_SOFT()
static final int | H5T_REFERENCE = H5T_REFERENCE()
static final int | H5T_SGN_2 = H5T_SGN_2()
static final int | H5T_SGN_ERROR = H5T_SGN_ERROR()
static final int | H5T_SGN_NONE = H5T_SGN_NONE()
static final long | H5T_STD_B16BE = H5T_STD_B16BE()
static final long | H5T_STD_B16LE = H5T_STD_B16LE()
static final long | H5T_STD_B32BE = H5T_STD_B32BE()
static final long | H5T_STD_B32LE = H5T_STD_B32LE()
static final long | H5T_STD_B64BE = H5T_STD_B64BE()
static final long | H5T_STD_B64LE = H5T_STD_B64LE()
static final long | H5T_STD_B8BE = H5T_STD_B8BE()
static final long | H5T_STD_B8LE = H5T_STD_B8LE()
static final long | H5T_STD_I16BE = H5T_STD_I16BE()
static final long | H5T_STD_I16LE = H5T_STD_I16LE()
static final long | H5T_STD_I32BE = H5T_STD_I32BE()
static final long | H5T_STD_I32LE = H5T_STD_I32LE()
static final long | H5T_STD_I64BE = H5T_STD_I64BE()
static final long | H5T_STD_I64LE = H5T_STD_I64LE()
static final long | H5T_STD_I8BE = H5T_STD_I8BE()
static final long | H5T_STD_I8LE = H5T_STD_I8LE()
static final long | H5T_STD_REF = H5T_STD_REF()
static final long | H5T_STD_REF_DSETREG = H5T_STD_REF_DSETREG()
static final long | H5T_STD_REF_OBJ = H5T_STD_REF_OBJ()
static final long | H5T_STD_U16BE = H5T_STD_U16BE()
static final long | H5T_STD_U16LE = H5T_STD_U16LE()
static final long | H5T_STD_U32BE = H5T_STD_U32BE()
static final long | H5T_STD_U32LE = H5T_STD_U32LE()
static final long | H5T_STD_U64BE = H5T_STD_U64BE()
static final long | H5T_STD_U64LE = H5T_STD_U64LE()
static final long | H5T_STD_U8BE = H5T_STD_U8BE()
static final long | H5T_STD_U8LE = H5T_STD_U8LE()
static final int | H5T_STR_ERROR = H5T_STR_ERROR()
static final int | H5T_STR_NULLPAD = H5T_STR_NULLPAD()
static final int | H5T_STR_NULLTERM = H5T_STR_NULLTERM()
static final int | H5T_STR_RESERVED_10 = H5T_STR_RESERVED_10()
static final int | H5T_STR_RESERVED_11 = H5T_STR_RESERVED_11()
static final int | H5T_STR_RESERVED_12 = H5T_STR_RESERVED_12()
static final int | H5T_STR_RESERVED_13 = H5T_STR_RESERVED_13()
static final int | H5T_STR_RESERVED_14 = H5T_STR_RESERVED_14()
static final int | H5T_STR_RESERVED_15 = H5T_STR_RESERVED_15()
static final int | H5T_STR_RESERVED_3 = H5T_STR_RESERVED_3()
static final int | H5T_STR_RESERVED_4 = H5T_STR_RESERVED_4()
static final int | H5T_STR_RESERVED_5 = H5T_STR_RESERVED_5()
static final int | H5T_STR_RESERVED_6 = H5T_STR_RESERVED_6()
static final int | H5T_STR_RESERVED_7 = H5T_STR_RESERVED_7()
static final int | H5T_STR_RESERVED_8 = H5T_STR_RESERVED_8()
static final int | H5T_STR_RESERVED_9 = H5T_STR_RESERVED_9()
static final int | H5T_STR_SPACEPAD = H5T_STR_SPACEPAD()
static final int | H5T_STRING = H5T_STRING()
static final int | H5T_TIME = H5T_TIME()
static final long | H5T_UNIX_D32BE = H5T_UNIX_D32BE()
static final long | H5T_UNIX_D32LE = H5T_UNIX_D32LE()
static final long | H5T_UNIX_D64BE = H5T_UNIX_D64BE()
static final long | H5T_UNIX_D64LE = H5T_UNIX_D64LE()
static final long | H5T_VARIABLE = H5T_VARIABLE()
static final int | H5T_VL_T = H5T_VL_T()
static final int | H5T_VLEN = H5T_VLEN()
static final int | H5VL_CAP_FLAG_NONE = H5VL_CAP_FLAG_NONE()
static final int | H5VL_CAP_FLAG_THREADSAFE = H5VL_CAP_FLAG_THREADSAFE()
static final long | H5VL_NATIVE = H5VL_NATIVE()
static final String | H5VL_NATIVE_NAME = H5VL_NATIVE_NAME()
static final int | H5VL_NATIVE_VALUE = H5VL_NATIVE_VALUE()
static final int | H5VL_NATIVE_VERSION = H5VL_NATIVE_VERSION()
static final int | H5Z_CB_CONT = H5Z_CB_CONT()
static final int | H5Z_CB_ERROR = H5Z_CB_ERROR()
static final int | H5Z_CB_FAIL = H5Z_CB_FAIL()
static final int | H5Z_CB_NO = H5Z_CB_NO()
static final int | H5Z_DISABLE_EDC = H5Z_DISABLE_EDC()
static final int | H5Z_ENABLE_EDC = H5Z_ENABLE_EDC()
static final int | H5Z_ERROR_EDC = H5Z_ERROR_EDC()
static final int | H5Z_FILTER_ALL = H5Z_FILTER_ALL()
static final int | H5Z_FILTER_CONFIG_DECODE_ENABLED = H5Z_FILTER_CONFIG_DECODE_ENABLED()
static final int | H5Z_FILTER_CONFIG_ENCODE_ENABLED = H5Z_FILTER_CONFIG_ENCODE_ENABLED()
static final int | H5Z_FILTER_DEFLATE = H5Z_FILTER_DEFLATE()
static final int | H5Z_FILTER_ERROR = H5Z_FILTER_ERROR()
static final int | H5Z_FILTER_FLETCHER32 = H5Z_FILTER_FLETCHER32()
static final int | H5Z_FILTER_MAX = H5Z_FILTER_MAX()
static final int | H5Z_FILTER_NBIT = H5Z_FILTER_NBIT()
static final int | H5Z_FILTER_NONE = H5Z_FILTER_NONE()
static final int | H5Z_FILTER_RESERVED = H5Z_FILTER_RESERVED()
static final int | H5Z_FILTER_SCALEOFFSET = H5Z_FILTER_SCALEOFFSET()
static final int | H5Z_FILTER_SHUFFLE = H5Z_FILTER_SHUFFLE()
static final int | H5Z_FILTER_SZIP = H5Z_FILTER_SZIP()
static final int | H5Z_FLAG_DEFMASK = H5Z_FLAG_DEFMASK()
static final int | H5Z_FLAG_INVMASK = H5Z_FLAG_INVMASK()
static final int | H5Z_FLAG_MANDATORY = H5Z_FLAG_MANDATORY()
static final int | H5Z_FLAG_OPTIONAL = H5Z_FLAG_OPTIONAL()
static final int | H5Z_FLAG_REVERSE = H5Z_FLAG_REVERSE()
static final int | H5Z_FLAG_SKIP_EDC = H5Z_FLAG_SKIP_EDC()
static final int | H5Z_MAX_NFILTERS = H5Z_MAX_NFILTERS()
static final int | H5Z_NBIT_USER_NPARMS = H5Z_NBIT_USER_NPARMS()
static final int | H5Z_NO_EDC = H5Z_NO_EDC()
static final int | H5Z_SCALEOFFSET_USER_NPARMS = H5Z_SCALEOFFSET_USER_NPARMS()
static final int | H5Z_SHUFFLE_TOTAL_NPARMS = H5Z_SHUFFLE_TOTAL_NPARMS()
static final int | H5Z_SHUFFLE_USER_NPARMS = H5Z_SHUFFLE_USER_NPARMS()
static final int | H5Z_SO_FLOAT_DSCALE = H5Z_SO_FLOAT_DSCALE()
static final int | H5Z_SO_FLOAT_ESCALE = H5Z_SO_FLOAT_ESCALE()
static final int | H5Z_SO_INT = H5Z_SO_INT()
static final int | H5Z_SO_INT_MINBITS_DEFAULT = H5Z_SO_INT_MINBITS_DEFAULT()
static final int | H5Z_SZIP_PARM_BPP = H5Z_SZIP_PARM_BPP()
static final int | H5Z_SZIP_PARM_MASK = H5Z_SZIP_PARM_MASK()
static final int | H5Z_SZIP_PARM_PPB = H5Z_SZIP_PARM_PPB()
static final int | H5Z_SZIP_PARM_PPS = H5Z_SZIP_PARM_PPS()
static final int | H5Z_SZIP_TOTAL_NPARMS = H5Z_SZIP_TOTAL_NPARMS()
static final int | H5Z_SZIP_USER_NPARMS = H5Z_SZIP_USER_NPARMS()

## Field Documentation

## ◆ H5_INDEX_CRT_ORDER

final int H5_INDEX_CRT_ORDER = H5_INDEX_CRT_ORDER()
| static

indices on links, index on creation order

## ◆ H5_INDEX_N

final int H5_INDEX_N = H5_INDEX_N()
| static

indices on links, number of indices defined

## ◆ H5_INDEX_NAME

final int H5_INDEX_NAME = H5_INDEX_NAME()
| static

indices on links, index on names

## ◆ H5_INDEX_UNKNOWN

final int H5_INDEX_UNKNOWN = H5_INDEX_UNKNOWN()
| static

indices on links, unknown index type

## ◆ H5_ITER_DEC

final int H5_ITER_DEC = H5_ITER_DEC()
| static

Common iteration orders, Decreasing order

## ◆ H5_ITER_INC

final int H5_ITER_INC = H5_ITER_INC()
| static

Common iteration orders, Increasing order

## ◆ H5_ITER_N

final int H5_ITER_N = H5_ITER_N()
| static

Common iteration orders, Number of iteration orders

## ◆ H5_ITER_NATIVE

final int H5_ITER_NATIVE = H5_ITER_NATIVE()
| static

Common iteration orders, No particular order, whatever is fastest

## ◆ H5_ITER_UNKNOWN

final int H5_ITER_UNKNOWN = H5_ITER_UNKNOWN()
| static

Common iteration orders, Unknown order

## ◆ H5_SZIP_ALLOW_K13_OPTION_MASK

final int H5_SZIP_ALLOW_K13_OPTION_MASK = H5_SZIP_ALLOW_K13_OPTION_MASK()
| static

Special parameters for szip compression

## ◆ H5_SZIP_CHIP_OPTION_MASK

final int H5_SZIP_CHIP_OPTION_MASK = H5_SZIP_CHIP_OPTION_MASK()
| static

Special parameters for szip compression

## ◆ H5_SZIP_EC_OPTION_MASK

final int H5_SZIP_EC_OPTION_MASK = H5_SZIP_EC_OPTION_MASK()
| static

Special parameters for szip compression

## ◆ H5_SZIP_MAX_PIXELS_PER_BLOCK

final int H5_SZIP_MAX_PIXELS_PER_BLOCK = H5_SZIP_MAX_PIXELS_PER_BLOCK()
| static

Special parameters for szip compression

## ◆ H5_SZIP_NN_OPTION_MASK

final int H5_SZIP_NN_OPTION_MASK = H5_SZIP_NN_OPTION_MASK()
| static

Special parameters for szip compression

## ◆ H5_VOL_INVALID

final int H5_VOL_INVALID = H5_VOL_INVALID()
| static

## ◆ H5_VOL_MAX

final int H5_VOL_MAX = H5_VOL_MAX()
| static

## ◆ H5_VOL_NATIVE

final int H5_VOL_NATIVE = H5_VOL_NATIVE()
| static

## ◆ H5_VOL_RESERVED

final int H5_VOL_RESERVED = H5_VOL_RESERVED()
| static

## ◆ H5AC_CURR_CACHE_CONFIG_VERSION

final int H5AC_CURR_CACHE_CONFIG_VERSION = H5AC_CURR_CACHE_CONFIG_VERSION()
| static

The version of the H5AC_cache_config_t in use

## ◆ H5AC_MAX_TRACE_FILE_NAME_LEN

final int H5AC_MAX_TRACE_FILE_NAME_LEN = H5AC_MAX_TRACE_FILE_NAME_LEN()
| static

The maximum length of the trace file path

## ◆ H5AC_METADATA_WRITE_STRATEGY_DISTRIBUTED

final int H5AC_METADATA_WRITE_STRATEGY_DISTRIBUTED
| static

Initial value:
=
H5AC_METADATA_WRITE_STRATEGY_DISTRIBUTED()
hdf.hdf5lib.HDF5Constants.H5AC_METADATA_WRITE_STRATEGY_DISTRIBUTED
static final int H5AC_METADATA_WRITE_STRATEGY_DISTRIBUTED
Definition HDF5Constants.java:82

In the distributed metadata write strategy, process zero still makes the decisions as to what entries should be flushed, but the actual flushes are distributed across the processes in the computation to the extent possible.

## ◆ H5AC_METADATA_WRITE_STRATEGY_PROCESS_ZERO_ONLY

final int H5AC_METADATA_WRITE_STRATEGY_PROCESS_ZERO_ONLY
| static

Initial value:
=
H5AC_METADATA_WRITE_STRATEGY_PROCESS_ZERO_ONLY()
hdf.hdf5lib.HDF5Constants.H5AC_METADATA_WRITE_STRATEGY_PROCESS_ZERO_ONLY
static final int H5AC_METADATA_WRITE_STRATEGY_PROCESS_ZERO_ONLY
Definition HDF5Constants.java:74

When metadata_write_strategy is set to this value, only process zero is allowed to write dirty metadata to disk. All other processes must retain dirty metadata until they are informed at a sync point that the dirty metadata in question has been written to disk.

## ◆ H5C_decr_age_out

final int H5C_decr_age_out = H5C_decr_age_out()
| static

At the end of each epoch, search the cache for entries that have not been accessed for at least the number of epochs specified in the epochs_before_eviction field, and evict these entries

## ◆ H5C_decr_age_out_with_threshold

final int H5C_decr_age_out_with_threshold = H5C_decr_age_out_with_threshold()
| static

Same as age_out, but we only attempt to reduce the cache size when the hit rate observed over the last epoch exceeds the value provided in the upper_hr_threshold field

## ◆ H5C_decr_off

final int H5C_decr_off = H5C_decr_off()
| static

Don't attempt to decrease the size of the cache automatically

## ◆ H5C_decr_threshold

final int H5C_decr_threshold = H5C_decr_threshold()
| static

Attempt to decrease the size of the cache whenever the average hit rate over the last epoch rises above the value supplied in the upper_hr_threshold field

## ◆ H5C_flash_incr_add_space

final int H5C_flash_incr_add_space = H5C_flash_incr_add_space()
| static

increase the current maximum cache size by x * flash_multiple less any free space in the cache

## ◆ H5C_flash_incr_off

final int H5C_flash_incr_off = H5C_flash_incr_off()
| static

Don't perform flash increases in the size of the cache

## ◆ H5C_incr_off

final int H5C_incr_off = H5C_incr_off()
| static

Don't attempt to increase the size of the cache automatically

## ◆ H5C_incr_threshold

final int H5C_incr_threshold = H5C_incr_threshold()
| static

Attempt to increase the size of the cache whenever the average hit rate over the last epoch drops below the value supplied in the lower_hr_threshold field

## ◆ H5D_ALLOC_TIME_DEFAULT

final int H5D_ALLOC_TIME_DEFAULT = H5D_ALLOC_TIME_DEFAULT()
| static

## ◆ H5D_ALLOC_TIME_EARLY

final int H5D_ALLOC_TIME_EARLY = H5D_ALLOC_TIME_EARLY()
| static

## ◆ H5D_ALLOC_TIME_ERROR

final int H5D_ALLOC_TIME_ERROR = H5D_ALLOC_TIME_ERROR()
| static

## ◆ H5D_ALLOC_TIME_INCR

final int H5D_ALLOC_TIME_INCR = H5D_ALLOC_TIME_INCR()
| static

## ◆ H5D_ALLOC_TIME_LATE

final int H5D_ALLOC_TIME_LATE = H5D_ALLOC_TIME_LATE()
| static

## ◆ H5D_CHUNK_DONT_FILTER_PARTIAL_CHUNKS

final int H5D_CHUNK_DONT_FILTER_PARTIAL_CHUNKS = H5D_CHUNK_DONT_FILTER_PARTIAL_CHUNKS()
| static

## ◆ H5D_CHUNK_IDX_BTREE

final int H5D_CHUNK_IDX_BTREE = H5D_CHUNK_IDX_BTREE()
| static

## ◆ H5D_CHUNKED

final int H5D_CHUNKED = H5D_CHUNKED()
| static

## ◆ H5D_COMPACT

final int H5D_COMPACT = H5D_COMPACT()
| static

## ◆ H5D_CONTIGUOUS

final int H5D_CONTIGUOUS = H5D_CONTIGUOUS()
| static

## ◆ H5D_FILL_TIME_ALLOC

final int H5D_FILL_TIME_ALLOC = H5D_FILL_TIME_ALLOC()
| static

## ◆ H5D_FILL_TIME_ERROR

final int H5D_FILL_TIME_ERROR = H5D_FILL_TIME_ERROR()
| static

## ◆ H5D_FILL_TIME_IFSET

final int H5D_FILL_TIME_IFSET = H5D_FILL_TIME_IFSET()
| static

## ◆ H5D_FILL_TIME_NEVER

final int H5D_FILL_TIME_NEVER = H5D_FILL_TIME_NEVER()
| static

## ◆ H5D_FILL_VALUE_DEFAULT

final int H5D_FILL_VALUE_DEFAULT = H5D_FILL_VALUE_DEFAULT()
| static

## ◆ H5D_FILL_VALUE_ERROR

final int H5D_FILL_VALUE_ERROR = H5D_FILL_VALUE_ERROR()
| static

## ◆ H5D_FILL_VALUE_UNDEFINED

final int H5D_FILL_VALUE_UNDEFINED = H5D_FILL_VALUE_UNDEFINED()
| static

## ◆ H5D_FILL_VALUE_USER_DEFINED

final int H5D_FILL_VALUE_USER_DEFINED = H5D_FILL_VALUE_USER_DEFINED()
| static

## ◆ H5D_LAYOUT_ERROR

final int H5D_LAYOUT_ERROR = H5D_LAYOUT_ERROR()
| static

## ◆ H5D_NLAYOUTS

final int H5D_NLAYOUTS = H5D_NLAYOUTS()
| static

## ◆ H5D_SPACE_STATUS_ALLOCATED

final int H5D_SPACE_STATUS_ALLOCATED = H5D_SPACE_STATUS_ALLOCATED()
| static

## ◆ H5D_SPACE_STATUS_ERROR

final int H5D_SPACE_STATUS_ERROR = H5D_SPACE_STATUS_ERROR()
| static

## ◆ H5D_SPACE_STATUS_NOT_ALLOCATED

final int H5D_SPACE_STATUS_NOT_ALLOCATED = H5D_SPACE_STATUS_NOT_ALLOCATED()
| static

## ◆ H5D_SPACE_STATUS_PART_ALLOCATED

final int H5D_SPACE_STATUS_PART_ALLOCATED = H5D_SPACE_STATUS_PART_ALLOCATED()
| static

## ◆ H5D_VDS_ERROR

final int H5D_VDS_ERROR = H5D_VDS_ERROR()
| static

## ◆ H5D_VDS_FIRST_MISSING

final int H5D_VDS_FIRST_MISSING = H5D_VDS_FIRST_MISSING()
| static

## ◆ H5D_VDS_LAST_AVAILABLE

final int H5D_VDS_LAST_AVAILABLE = H5D_VDS_LAST_AVAILABLE()
| static

## ◆ H5D_VIRTUAL

final int H5D_VIRTUAL = H5D_VIRTUAL()
| static

## ◆ H5E_ALIGNMENT

final long H5E_ALIGNMENT = H5E_ALIGNMENT()
| static

Minor error codes - Object header related errors - Alignment error

## ◆ H5E_ALREADYEXISTS

final long H5E_ALREADYEXISTS = H5E_ALREADYEXISTS()
| static

Minor error codes - Resource errors - Object already exists

## ◆ H5E_ALREADYINIT

final long H5E_ALREADYINIT = H5E_ALREADYINIT()
| static

Minor error codes - Function entry/exit interface - Object already initialized

## ◆ H5E_ARGS

final long H5E_ARGS = H5E_ARGS()
| static

Major error codes - Invalid arguments to routine

## ◆ H5E_ATTR

final long H5E_ATTR = H5E_ATTR()
| static

Major error codes - Attribute

## ◆ H5E_BADFILE

final long H5E_BADFILE = H5E_BADFILE()
| static

Minor error codes - File accessibility errors - Bad file ID accessed

## ◆ H5E_BADGROUP

final long H5E_BADGROUP = H5E_BADGROUP()
| static

Minor error codes - Object ID related errors - Unable to find ID group information

## ◆ H5E_BADID

final long H5E_BADID = H5E_BADID()
| static

Minor error codes - Object ID related errors - Unable to find ID information (already closed?)

## ◆ H5E_BADITER

final long H5E_BADITER = H5E_BADITER()
| static

Minor error codes - Object header related errors - Iteration failed

## ◆ H5E_BADMESG

final long H5E_BADMESG = H5E_BADMESG()
| static

Minor error codes - Object header related errors - Unrecognized message

## ◆ H5E_BADRANGE

final long H5E_BADRANGE = H5E_BADRANGE()
| static

Minor error codes - Argument errors - Out of range

## ◆ H5E_BADSELECT

final long H5E_BADSELECT = H5E_BADSELECT()
| static

Minor error codes - Dataspace errors - Invalid selection

## ◆ H5E_BADSIZE

final long H5E_BADSIZE = H5E_BADSIZE()
| static

Datatype conversion errors - Bad size for object

## ◆ H5E_BADTYPE

final long H5E_BADTYPE = H5E_BADTYPE()
| static

Minor error codes - Argument errors - Inappropriate type

## ◆ H5E_BADVALUE

final long H5E_BADVALUE = H5E_BADVALUE()
| static

Minor error codes - Argument errors - Bad value

## ◆ H5E_BTREE

final long H5E_BTREE = H5E_BTREE()
| static

Major error codes - B-Tree node

## ◆ H5E_CACHE

final long H5E_CACHE = H5E_CACHE()
| static

Major error codes - Object cache

## ◆ H5E_CALLBACK

final long H5E_CALLBACK = H5E_CALLBACK()
| static

I/O pipeline errors - Callback failed

## ◆ H5E_CANAPPLY

final long H5E_CANAPPLY = H5E_CANAPPLY()
| static

I/O pipeline errors - Error from filter 'can apply' callback

## ◆ H5E_CANTALLOC

final long H5E_CANTALLOC = H5E_CANTALLOC()
| static

Minor error codes - Resource errors - Can't allocate space

## ◆ H5E_CANTAPPEND

final long H5E_CANTAPPEND = H5E_CANTAPPEND()
| static

Minor error codes - Dataspace errors - Can't append object

## ◆ H5E_CANTATTACH

final long H5E_CANTATTACH = H5E_CANTATTACH()
| static

Minor error codes - Heap errors - Can't attach object

## ◆ H5E_CANTCLEAN

final long H5E_CANTCLEAN = H5E_CANTCLEAN()
| static

Minor error codes - Cache related errors - Unable to mark metadata as clean

## ◆ H5E_CANTCLIP

final long H5E_CANTCLIP = H5E_CANTCLIP()
| static

Minor error codes - Dataspace errors - Can't clip hyperslab region

## ◆ H5E_CANTCLOSEFILE

final long H5E_CANTCLOSEFILE = H5E_CANTCLOSEFILE()
| static

Minor error codes - File accessibility errors - Unable to close file

## ◆ H5E_CANTCLOSEOBJ

final long H5E_CANTCLOSEOBJ = H5E_CANTCLOSEOBJ()
| static

Minor error codes - Group related errors - Can't close object

## ◆ H5E_CANTCOMPARE

final long H5E_CANTCOMPARE = H5E_CANTCOMPARE()
| static

Minor error codes - Dataspace errors - Can't compare objects

## ◆ H5E_CANTCOMPUTE

final long H5E_CANTCOMPUTE = H5E_CANTCOMPUTE()
| static

Minor error codes - Heap errors - Can't compute value

## ◆ H5E_CANTCONVERT

final long H5E_CANTCONVERT = H5E_CANTCONVERT()
| static

Datatype conversion errors - Can't convert datatypes

## ◆ H5E_CANTCOPY

final long H5E_CANTCOPY = H5E_CANTCOPY()
| static

Minor error codes - Resource errors - Unable to copy object

## ◆ H5E_CANTCORK

final long H5E_CANTCORK = H5E_CANTCORK()
| static

Minor error codes - Cache related errors - Unable to cork an object

## ◆ H5E_CANTCOUNT

final long H5E_CANTCOUNT = H5E_CANTCOUNT()
| static

Minor error codes - Dataspace errors - Can't count elements

## ◆ H5E_CANTCREATE

final long H5E_CANTCREATE = H5E_CANTCREATE()
| static

Minor error codes - File accessibility errors - Unable to create file

## ◆ H5E_CANTDEC

final long H5E_CANTDEC = H5E_CANTDEC()
| static

Minor error codes - Object ID related errors - Unable to decrement reference count

## ◆ H5E_CANTDECODE

final long H5E_CANTDECODE = H5E_CANTDECODE()
| static

Minor error codes - B-tree related errors - Unable to decode value

## ◆ H5E_CANTDELETE

final long H5E_CANTDELETE = H5E_CANTDELETE()
| static

Minor error codes - Object header related errors - Can't delete message

## ◆ H5E_CANTDELETEFILE

final long H5E_CANTDELETEFILE = H5E_CANTDELETEFILE()
| static

Minor error codes - File accessibility errors - Unable to delete file

## ◆ H5E_CANTDEPEND

final long H5E_CANTDEPEND = H5E_CANTDEPEND()
| static

Minor error codes - Cache related errors - Unable to create a flush dependency

## ◆ H5E_CANTDIRTY

final long H5E_CANTDIRTY = H5E_CANTDIRTY()
| static

Minor error codes - Cache related errors - Unable to mark metadata as dirty

## ◆ H5E_CANTENCODE

final long H5E_CANTENCODE = H5E_CANTENCODE()
| static

Minor error codes - B-tree related errors - Unable to encode value

## ◆ H5E_CANTEXPUNGE

final long H5E_CANTEXPUNGE = H5E_CANTEXPUNGE()
| static

Minor error codes - Cache related errors - Unable to expunge a metadata cache entry

## ◆ H5E_CANTEXTEND

final long H5E_CANTEXTEND = H5E_CANTEXTEND()
| static

Minor error codes - Heap errors - Can't extend heap's space

## ◆ H5E_CANTFILTER

final long H5E_CANTFILTER = H5E_CANTFILTER()
| static

I/O pipeline errors - Filter operation failed

## ◆ H5E_CANTFLUSH

final long H5E_CANTFLUSH = H5E_CANTFLUSH()
| static

Minor error codes - Cache related errors - Unable to flush data from cache

## ◆ H5E_CANTFREE

final long H5E_CANTFREE = H5E_CANTFREE()
| static

Minor error codes - Resource errors - Unable to free object

## ◆ H5E_CANTGATHER

final long H5E_CANTGATHER = H5E_CANTGATHER()
| static

Minor error codes - Parallel MPI - Can't gather data

## ◆ H5E_CANTGC

final long H5E_CANTGC = H5E_CANTGC()
| static

Minor error codes - Resource errors - Unable to garbage collect

## ◆ H5E_CANTGET

final long H5E_CANTGET = H5E_CANTGET()
| static

Minor error codes - Property list errors - Can't get value

## ◆ H5E_CANTGETSIZE

final long H5E_CANTGETSIZE = H5E_CANTGETSIZE()
| static

Minor error codes - Resource errors - Unable to compute size

## ◆ H5E_CANTINC

final long H5E_CANTINC = H5E_CANTINC()
| static

Minor error codes - Object ID related errors - Unable to increment reference count

## ◆ H5E_CANTINIT

final long H5E_CANTINIT = H5E_CANTINIT()
| static

Minor error codes - Function entry/exit interface - Unable to initialize object

## ◆ H5E_CANTINS

final long H5E_CANTINS = H5E_CANTINS()
| static

Minor error codes - Cache related errors - Unable to insert metadata into cache

## ◆ H5E_CANTINSERT

final long H5E_CANTINSERT = H5E_CANTINSERT()
| static

Minor error codes - B-tree related errors - Unable to insert object

## ◆ H5E_CANTLIST

final long H5E_CANTLIST = H5E_CANTLIST()
| static

Minor error codes - B-tree related errors - Unable to list node

## ◆ H5E_CANTLOAD

final long H5E_CANTLOAD = H5E_CANTLOAD()
| static

Minor error codes - Cache related errors - Unable to load metadata into cache

## ◆ H5E_CANTLOCK

final long H5E_CANTLOCK = H5E_CANTLOCK()
| static

Minor error codes - Resource errors - Unable to lock object

## ◆ H5E_CANTLOCKFILE

final long H5E_CANTLOCKFILE = H5E_CANTLOCKFILE()
| static

Minor error codes - File accessibility errors Unable to lock file

## ◆ H5E_CANTMARKCLEAN

final long H5E_CANTMARKCLEAN = H5E_CANTMARKCLEAN()
| static

Minor error codes - Cache related errors - Unable to mark a pinned entry as clean

## ◆ H5E_CANTMARKDIRTY

final long H5E_CANTMARKDIRTY = H5E_CANTMARKDIRTY()
| static

Minor error codes - Cache related errors - Unable to mark a pinned entry as dirty

## ◆ H5E_CANTMARKSERIALIZED

final long H5E_CANTMARKSERIALIZED = H5E_CANTMARKSERIALIZED()
| static

Minor error codes - Cache related errors - Unable to mark an entry as unserialized

## ◆ H5E_CANTMARKUNSERIALIZED

final long H5E_CANTMARKUNSERIALIZED = H5E_CANTMARKUNSERIALIZED()
| static

Minor error codes - Cache related errors - Unable to mark an entry as serialized

## ◆ H5E_CANTMERGE

final long H5E_CANTMERGE = H5E_CANTMERGE()
| static

Minor error codes - Free space errors - Can't merge objects

## ◆ H5E_CANTMODIFY

final long H5E_CANTMODIFY = H5E_CANTMODIFY()
| static

Minor error codes - B-tree related errors - Unable to modify record

## ◆ H5E_CANTMOVE

final long H5E_CANTMOVE = H5E_CANTMOVE()
| static

Minor error codes - Link related errors - Can't move object

## ◆ H5E_CANTNEXT

final long H5E_CANTNEXT = H5E_CANTNEXT()
| static

Minor error codes - Dataspace errors - Can't move to next iterator location

## ◆ H5E_CANTNOTIFY

final long H5E_CANTNOTIFY = H5E_CANTNOTIFY()
| static

Minor error codes - Cache related errors - Unable to notify object about action

## ◆ H5E_CANTOPENFILE

final long H5E_CANTOPENFILE = H5E_CANTOPENFILE()
| static

Minor error codes - File accessibility errors - Unable to open file

## ◆ H5E_CANTOPENOBJ

final long H5E_CANTOPENOBJ = H5E_CANTOPENOBJ()
| static

Minor error codes - Group related errors - Can't open object

## ◆ H5E_CANTOPERATE

final long H5E_CANTOPERATE = H5E_CANTOPERATE()
| static

Minor error codes - Heap errors - Can't operate on object

## ◆ H5E_CANTPACK

final long H5E_CANTPACK = H5E_CANTPACK()
| static

Minor error codes - Object header related errors - Can't pack messages

## ◆ H5E_CANTPIN

final long H5E_CANTPIN = H5E_CANTPIN()
| static

Minor error codes - Cache related errors - Unable to pin cache entry

## ◆ H5E_CANTPROTECT

final long H5E_CANTPROTECT = H5E_CANTPROTECT()
| static

Minor error codes - Cache related errors - Unable to protect metadata

## ◆ H5E_CANTRECV

final long H5E_CANTRECV = H5E_CANTRECV()
| static

Minor error codes - Parallel MPI - Can't receive data

## ◆ H5E_CANTREDISTRIBUTE

final long H5E_CANTREDISTRIBUTE = H5E_CANTREDISTRIBUTE()
| static

Minor error codes - B-tree related errors - Unable to redistribute records

## ◆ H5E_CANTREGISTER

final long H5E_CANTREGISTER = H5E_CANTREGISTER()
| static

Minor error codes - Object ID related errors - Unable to register new ID

## ◆ H5E_CANTRELEASE

final long H5E_CANTRELEASE = H5E_CANTRELEASE()
| static

Minor error codes - Function entry/exit interface - Unable to release object

## ◆ H5E_CANTREMOVE

final long H5E_CANTREMOVE = H5E_CANTREMOVE()
| static

Minor error codes - B-tree related errors - Unable to remove object

## ◆ H5E_CANTRENAME

final long H5E_CANTRENAME = H5E_CANTRENAME()
| static

Minor error codes - Object header related errors - Unable to rename object

## ◆ H5E_CANTRESET

final long H5E_CANTRESET = H5E_CANTRESET()
| static

Minor error codes - Object header related errors - Can't reset object

## ◆ H5E_CANTRESIZE

final long H5E_CANTRESIZE = H5E_CANTRESIZE()
| static

Minor error codes - Cache related errors - Unable to resize a metadata cache entry

## ◆ H5E_CANTRESTORE

final long H5E_CANTRESTORE = H5E_CANTRESTORE()
| static

Minor error codes - Heap errors - Can't restore condition

## ◆ H5E_CANTREVIVE

final long H5E_CANTREVIVE = H5E_CANTREVIVE()
| static

Minor error codes - Free space errors - Can't revive object

## ◆ H5E_CANTSELECT

final long H5E_CANTSELECT = H5E_CANTSELECT()
| static

Minor error codes - Dataspace errors - Can't select hyperslab

## ◆ H5E_CANTSERIALIZE

final long H5E_CANTSERIALIZE = H5E_CANTSERIALIZE()
| static

Minor error codes - Cache related errors - Unable to serialize data from cache

## ◆ H5E_CANTSET

final long H5E_CANTSET = H5E_CANTSET()
| static

Minor error codes - Property list errors - Can't set value

## ◆ H5E_CANTSHRINK

final long H5E_CANTSHRINK = H5E_CANTSHRINK()
| static

Minor error codes - Free space errors - Can't shrink container

## ◆ H5E_CANTSORT

final long H5E_CANTSORT = H5E_CANTSORT()
| static

Minor error codes - Link related errors - Can't sort objects

## ◆ H5E_CANTSPLIT

final long H5E_CANTSPLIT = H5E_CANTSPLIT()
| static

Minor error codes - B-tree related errors - Unable to split node

## ◆ H5E_CANTSWAP

final long H5E_CANTSWAP = H5E_CANTSWAP()
| static

Minor error codes - B-tree related errors - Unable to swap records

## ◆ H5E_CANTTAG

final long H5E_CANTTAG = H5E_CANTTAG()
| static

Minor error codes - Cache related errors - Unable to tag metadata in the cache

## ◆ H5E_CANTUNCORK

final long H5E_CANTUNCORK = H5E_CANTUNCORK()
| static

Minor error codes - Cache related errors - Unable to uncork an object

## ◆ H5E_CANTUNDEPEND

final long H5E_CANTUNDEPEND = H5E_CANTUNDEPEND()
| static

Minor error codes - Cache related errors - Unable to destroy a flush dependency

## ◆ H5E_CANTUNLOCK

final long H5E_CANTUNLOCK = H5E_CANTUNLOCK()
| static

Minor error codes - Resource errors - Unable to unlock object

## ◆ H5E_CANTUNLOCKFILE

final long H5E_CANTUNLOCKFILE = H5E_CANTUNLOCKFILE()
| static

Minor error codes - File accessibility errors Unable to unlock file

## ◆ H5E_CANTUNPIN

final long H5E_CANTUNPIN = H5E_CANTUNPIN()
| static

Minor error codes - Cache related errors - Unable to un-pin cache entry

## ◆ H5E_CANTUNPROTECT

final long H5E_CANTUNPROTECT = H5E_CANTUNPROTECT()
| static

Minor error codes - Cache related errors - Unable to unprotect metadata

## ◆ H5E_CANTUNSERIALIZE

final long H5E_CANTUNSERIALIZE = H5E_CANTUNSERIALIZE()
| static

Minor error codes - Cache related errors - Unable to mark metadata as unserialized

## ◆ H5E_CANTUPDATE

final long H5E_CANTUPDATE = H5E_CANTUPDATE()
| static

Minor error codes - Heap errors - Can't update object

## ◆ H5E_CLOSEERROR

final long H5E_CLOSEERROR = H5E_CLOSEERROR()
| static

Generic low-level file I/O errors - Close failed

## ◆ H5E_COMPLEN

final long H5E_COMPLEN = H5E_COMPLEN()
| static

Minor error codes - Group related errors - Name component is too long

## ◆ H5E_CONTEXT

final long H5E_CONTEXT = H5E_CONTEXT()
| static

Major error codes - API Context

## ◆ H5E_DATASET

final long H5E_DATASET = H5E_DATASET()
| static

Major error codes - Dataset

## ◆ H5E_DATASPACE

final long H5E_DATASPACE = H5E_DATASPACE()
| static

Major error codes - Dataspace

## ◆ H5E_DATATYPE

final long H5E_DATATYPE = H5E_DATATYPE()
| static

Major error codes - Datatype

## ◆ H5E_DEFAULT

final long H5E_DEFAULT = H5E_DEFAULT()
| static

Value for the default error stack

## ◆ H5E_DUPCLASS

final long H5E_DUPCLASS = H5E_DUPCLASS()
| static

Minor error codes - Property list errors - Duplicate class name in parent class

## ◆ H5E_EARRAY

final long H5E_EARRAY = H5E_EARRAY()
| static

Major error codes - Extensible Array

## ◆ H5E_EFL

final long H5E_EFL = H5E_EFL()
| static

Major error codes - External file list

## ◆ H5E_ERROR

final long H5E_ERROR = H5E_ERROR()
| static

Major error codes - Error API

## ◆ H5E_EXISTS

final long H5E_EXISTS = H5E_EXISTS()
| static

Minor error codes - B-tree related errors - Object already exists

## ◆ H5E_FARRAY

final long H5E_FARRAY = H5E_FARRAY()
| static

Major error codes - Fixed Array

## ◆ H5E_FCNTL

final long H5E_FCNTL = H5E_FCNTL()
| static

Generic low-level file I/O errors - File control (fcntl) failed

## ◆ H5E_FILE

final long H5E_FILE = H5E_FILE()
| static

Major error codes - File accessibility

## ◆ H5E_FILEEXISTS

final long H5E_FILEEXISTS = H5E_FILEEXISTS()
| static

Minor error codes - File accessibility errors - File already exists

## ◆ H5E_FILEOPEN

final long H5E_FILEOPEN = H5E_FILEOPEN()
| static

Minor error codes - File accessibility errors - File already open

## ◆ H5E_FSPACE

final long H5E_FSPACE = H5E_FSPACE()
| static

Major error codes - Free Space Manager

## ◆ H5E_FUNC

final long H5E_FUNC = H5E_FUNC()
| static

Major error codes - Function entry/exit

## ◆ H5E_HEAP

final long H5E_HEAP = H5E_HEAP()
| static

Major error codes - Heap

## ◆ H5E_ID

final long H5E_ID = H5E_ID()
| static

Major error codes - Object ID

## ◆ H5E_INCONSISTENTSTATE

final long H5E_INCONSISTENTSTATE = H5E_INCONSISTENTSTATE()
| static

Minor error codes - Dataspace errors - Internal states are inconsistent

## ◆ H5E_INTERNAL

final long H5E_INTERNAL = H5E_INTERNAL()
| static

Major error codes - Internal error (too specific to document in detail)

## ◆ H5E_IO

final long H5E_IO = H5E_IO()
| static

Major error codes - Low-level I/O

## ◆ H5E_LINK

final long H5E_LINK = H5E_LINK()
| static

Major error codes - Links

## ◆ H5E_LINKCOUNT

final long H5E_LINKCOUNT = H5E_LINKCOUNT()
| static

Minor error codes - Object header related errors - Bad object header link count

## ◆ H5E_LOGGING

final long H5E_LOGGING = H5E_LOGGING()
| static

Minor error codes - Cache related errors - Failure in the cache logging framework

## ◆ H5E_MAJOR

final int H5E_MAJOR = H5E_MAJOR()
| static

Different kinds of error information - H5E_type_t

## ◆ H5E_MAP

final long H5E_MAP = H5E_MAP()
| static

Major error codes - Map

## ◆ H5E_MINOR

final int H5E_MINOR = H5E_MINOR()
| static

Different kinds of error information - H5E_type_t

## ◆ H5E_MOUNT

final long H5E_MOUNT = H5E_MOUNT()
| static

Minor error codes - File accessibility errors - File mount error

## ◆ H5E_MPI

final long H5E_MPI = H5E_MPI()
| static

Minor error codes - Parallel MPI - Some MPI function failed

## ◆ H5E_MPIERRSTR

final long H5E_MPIERRSTR = H5E_MPIERRSTR()
| static

Minor error codes - Parallel MPI - MPI Error String

## ◆ H5E_NLINKS

final long H5E_NLINKS = H5E_NLINKS()
| static

Minor error codes - Link related errors - Too many soft links in path

## ◆ H5E_NO_INDEPENDENT

final long H5E_NO_INDEPENDENT = H5E_NO_INDEPENDENT()
| static

Minor error codes - Parallel MPI - Can't perform independent IO

## ◆ H5E_NOENCODER

final long H5E_NOENCODER = H5E_NOENCODER()
| static

I/O pipeline errors - Filter present but encoding disabled

## ◆ H5E_NOFILTER

final long H5E_NOFILTER = H5E_NOFILTER()
| static

I/O pipeline errors - Requested filter is not available

## ◆ H5E_NOIDS

final long H5E_NOIDS = H5E_NOIDS()
| static

Minor error codes - Object ID related errors - Out of IDs for group

## ◆ H5E_NONE_MAJOR

final long H5E_NONE_MAJOR = H5E_NONE_MAJOR()
| static

Major error codes - No error

## ◆ H5E_NONE_MINOR

final long H5E_NONE_MINOR = H5E_NONE_MINOR()
| static

No error

## ◆ H5E_NOSPACE

final long H5E_NOSPACE = H5E_NOSPACE()
| static

Minor error codes - Resource errors - No space available for allocation

## ◆ H5E_NOTCACHED

final long H5E_NOTCACHED = H5E_NOTCACHED()
| static

Minor error codes - Cache related errors - Metadata not currently cached

## ◆ H5E_NOTFOUND

final long H5E_NOTFOUND = H5E_NOTFOUND()
| static

Minor error codes - B-tree related errors - Object not found

## ◆ H5E_NOTHDF5

final long H5E_NOTHDF5 = H5E_NOTHDF5()
| static

Minor error codes - File accessibility errors - Not an HDF5 file

## ◆ H5E_NOTREGISTERED

final long H5E_NOTREGISTERED = H5E_NOTREGISTERED()
| static

Minor error codes - Link related errors - Link class not registered

## ◆ H5E_OBJOPEN

final long H5E_OBJOPEN = H5E_OBJOPEN()
| static

Minor error codes - Resource errors - Object is already open

## ◆ H5E_OHDR

final long H5E_OHDR = H5E_OHDR()
| static

Major error codes - Object header

## ◆ H5E_OPENERROR

final long H5E_OPENERROR = H5E_OPENERROR()
| static

Minor error codes - Plugin errors - Can't open directory or file

## ◆ H5E_OVERFLOW

final long H5E_OVERFLOW = H5E_OVERFLOW()
| static

Generic low-level file I/O errors - Address overflowed

## ◆ H5E_PAGEBUF

final long H5E_PAGEBUF = H5E_PAGEBUF()
| static

Major error codes - Page Buffering

## ◆ H5E_PATH

final long H5E_PATH = H5E_PATH()
| static

Minor error codes - Group related errors - Problem with path to object

## ◆ H5E_PLINE

final long H5E_PLINE = H5E_PLINE()
| static

Major error codes - Data filters

## ◆ H5E_PLIST

final long H5E_PLIST = H5E_PLIST()
| static

Major error codes - Property lists

## ◆ H5E_PLUGIN

final long H5E_PLUGIN = H5E_PLUGIN()
| static

Major error codes - Plugin for dynamically loaded library

## ◆ H5E_PROTECT

final long H5E_PROTECT = H5E_PROTECT()
| static

Minor error codes - Cache related errors - Protected metadata error

## ◆ H5E_READERROR

final long H5E_READERROR = H5E_READERROR()
| static

Generic low-level file I/O errors - Read failed

## ◆ H5E_REFERENCE

final long H5E_REFERENCE = H5E_REFERENCE()
| static

Major error codes - References

## ◆ H5E_RESOURCE

final long H5E_RESOURCE = H5E_RESOURCE()
| static

Major error codes - Resource unavailable

## ◆ H5E_RS

final long H5E_RS = H5E_RS()
| static

Major error codes - Reference Counted Strings

## ◆ H5E_SEEKERROR

final long H5E_SEEKERROR = H5E_SEEKERROR()
| static

Generic low-level file I/O errors - Seek failed

## ◆ H5E_SETDISALLOWED

final long H5E_SETDISALLOWED = H5E_SETDISALLOWED()
| static

Minor error codes - Property list errors - Disallowed operation

## ◆ H5E_SETLOCAL

final long H5E_SETLOCAL = H5E_SETLOCAL()
| static

I/O pipeline errors - Error from filter 'set local' callback

## ◆ H5E_SLIST

final long H5E_SLIST = H5E_SLIST()
| static

Major error codes - Skip Lists

## ◆ H5E_SOHM

final long H5E_SOHM = H5E_SOHM()
| static

Major error codes - Shared Object Header Messages

## ◆ H5E_STORAGE

final long H5E_STORAGE = H5E_STORAGE()
| static

Major error codes - Data storage

## ◆ H5E_SYM

final long H5E_SYM = H5E_SYM()
| static

Major error codes - Symbol table

## ◆ H5E_SYSERRSTR

final long H5E_SYSERRSTR = H5E_SYSERRSTR()
| static

Minor error codes - System level errors - System error message

## ◆ H5E_SYSTEM

final long H5E_SYSTEM = H5E_SYSTEM()
| static

Minor error codes - Cache related errors - Internal error detected

## ◆ H5E_TRAVERSE

final long H5E_TRAVERSE = H5E_TRAVERSE()
| static

Minor error codes - Link related errors - Link traversal failure

## ◆ H5E_TRUNCATED

final long H5E_TRUNCATED = H5E_TRUNCATED()
| static

Minor error codes - File accessibility errors - File has been truncated

## ◆ H5E_TST

final long H5E_TST = H5E_TST()
| static

Major error codes - Ternary Search Trees

## ◆ H5E_UNINITIALIZED

final long H5E_UNINITIALIZED = H5E_UNINITIALIZED()
| static

Minor error codes - Argument errors - Information is uinitialized

## ◆ H5E_UNSUPPORTED

final long H5E_UNSUPPORTED = H5E_UNSUPPORTED()
| static

Minor error codes - Argument errors - Feature is unsupported

## ◆ H5E_VERSION

final long H5E_VERSION = H5E_VERSION()
| static

Minor error codes - Object header related errors - Wrong version number

## ◆ H5E_VFL

final long H5E_VFL = H5E_VFL()
| static

Major error codes - Virtual File Layer

## ◆ H5E_VOL

final long H5E_VOL = H5E_VOL()
| static

Major error codes - Virtual Object Layer

## ◆ H5E_WALK_DOWNWARD

final long H5E_WALK_DOWNWARD = H5E_WALK_DOWNWARD()
| static

Error stack traversal direction - begin at API function, end deep

## ◆ H5E_WALK_UPWARD

final long H5E_WALK_UPWARD = H5E_WALK_UPWARD()
| static

Error stack traversal direction - begin deep, end at API function

## ◆ H5E_WRITEERROR

final long H5E_WRITEERROR = H5E_WRITEERROR()
| static

Generic low-level file I/O errors - Write failed

## ◆ H5F_ACC_CREAT

final int H5F_ACC_CREAT = H5F_ACC_CREAT()
| static

## ◆ H5F_ACC_DEFAULT

final int H5F_ACC_DEFAULT = H5F_ACC_DEFAULT()
| static

## ◆ H5F_ACC_EXCL

final int H5F_ACC_EXCL = H5F_ACC_EXCL()
| static

## ◆ H5F_ACC_RDONLY

final int H5F_ACC_RDONLY = H5F_ACC_RDONLY()
| static

## ◆ H5F_ACC_RDWR

final int H5F_ACC_RDWR = H5F_ACC_RDWR()
| static

## ◆ H5F_ACC_SWMR_READ

final int H5F_ACC_SWMR_READ = H5F_ACC_SWMR_READ()
| static

## ◆ H5F_ACC_SWMR_WRITE

final int H5F_ACC_SWMR_WRITE = H5F_ACC_SWMR_WRITE()
| static

## ◆ H5F_ACC_TRUNC

final int H5F_ACC_TRUNC = H5F_ACC_TRUNC()
| static

## ◆ H5F_CLOSE_DEFAULT

final int H5F_CLOSE_DEFAULT = H5F_CLOSE_DEFAULT()
| static

## ◆ H5F_CLOSE_SEMI

final int H5F_CLOSE_SEMI = H5F_CLOSE_SEMI()
| static

## ◆ H5F_CLOSE_STRONG

final int H5F_CLOSE_STRONG = H5F_CLOSE_STRONG()
| static

## ◆ H5F_CLOSE_WEAK

final int H5F_CLOSE_WEAK = H5F_CLOSE_WEAK()
| static

## ◆ H5F_FSPACE_STRATEGY_AGGR

final int H5F_FSPACE_STRATEGY_AGGR = H5F_FSPACE_STRATEGY_AGGR()
| static

## ◆ H5F_FSPACE_STRATEGY_FSM_AGGR

final int H5F_FSPACE_STRATEGY_FSM_AGGR = H5F_FSPACE_STRATEGY_FSM_AGGR()
| static

## ◆ H5F_FSPACE_STRATEGY_NONE

final int H5F_FSPACE_STRATEGY_NONE = H5F_FSPACE_STRATEGY_NONE()
| static

## ◆ H5F_FSPACE_STRATEGY_NTYPES

final int H5F_FSPACE_STRATEGY_NTYPES = H5F_FSPACE_STRATEGY_NTYPES()
| static

## ◆ H5F_FSPACE_STRATEGY_PAGE

final int H5F_FSPACE_STRATEGY_PAGE = H5F_FSPACE_STRATEGY_PAGE()
| static

## ◆ H5F_LIBVER_EARLIEST

final int H5F_LIBVER_EARLIEST = H5F_LIBVER_EARLIEST()
| static

## ◆ H5F_LIBVER_ERROR

final int H5F_LIBVER_ERROR = H5F_LIBVER_ERROR()
| static

## ◆ H5F_LIBVER_LATEST

final int H5F_LIBVER_LATEST = H5F_LIBVER_LATEST()
| static

## ◆ H5F_LIBVER_NBOUNDS

final int H5F_LIBVER_NBOUNDS = H5F_LIBVER_NBOUNDS()
| static

## ◆ H5F_LIBVER_V110

final int H5F_LIBVER_V110 = H5F_LIBVER_V110()
| static

## ◆ H5F_LIBVER_V112

final int H5F_LIBVER_V112 = H5F_LIBVER_V112()
| static

## ◆ H5F_LIBVER_V114

final int H5F_LIBVER_V114 = H5F_LIBVER_V114()
| static

## ◆ H5F_LIBVER_V18

final int H5F_LIBVER_V18 = H5F_LIBVER_V18()
| static

## ◆ H5F_LIBVER_V200

final int H5F_LIBVER_V200 = H5F_LIBVER_V200()
| static

## ◆ H5F_OBJ_ALL

final int H5F_OBJ_ALL = H5F_OBJ_ALL()
| static

## ◆ H5F_OBJ_ATTR

final int H5F_OBJ_ATTR = H5F_OBJ_ATTR()
| static

## ◆ H5F_OBJ_DATASET

final int H5F_OBJ_DATASET = H5F_OBJ_DATASET()
| static

## ◆ H5F_OBJ_DATATYPE

final int H5F_OBJ_DATATYPE = H5F_OBJ_DATATYPE()
| static

## ◆ H5F_OBJ_FILE

final int H5F_OBJ_FILE = H5F_OBJ_FILE()
| static

## ◆ H5F_OBJ_GROUP

final int H5F_OBJ_GROUP = H5F_OBJ_GROUP()
| static

## ◆ H5F_OBJ_LOCAL

final int H5F_OBJ_LOCAL = H5F_OBJ_LOCAL()
| static

## ◆ H5F_SCOPE_GLOBAL

final int H5F_SCOPE_GLOBAL = H5F_SCOPE_GLOBAL()
| static

## ◆ H5F_SCOPE_LOCAL

final int H5F_SCOPE_LOCAL = H5F_SCOPE_LOCAL()
| static

## ◆ H5F_UNLIMITED

final int H5F_UNLIMITED = H5F_UNLIMITED()
| static

## ◆ H5FD_CORE

final long H5FD_CORE = H5FD_CORE()
| static

## ◆ H5FD_DEFAULT_HADDR_SIZE

final long H5FD_DEFAULT_HADDR_SIZE = H5FD_DEFAULT_HADDR_SIZE()
| static

## ◆ H5FD_DIRECT

final long H5FD_DIRECT = H5FD_DIRECT()
| static

## ◆ H5FD_FAMILY

final long H5FD_FAMILY = H5FD_FAMILY()
| static

## ◆ H5FD_HDFS

final long H5FD_HDFS = H5FD_HDFS()
| static

## ◆ H5FD_LOG

final long H5FD_LOG = H5FD_LOG()
| static

## ◆ H5FD_LOG_ALL

final int H5FD_LOG_ALL = H5FD_LOG_ALL()
| static

## ◆ H5FD_LOG_ALLOC

final int H5FD_LOG_ALLOC = H5FD_LOG_ALLOC()
| static

## ◆ H5FD_LOG_FILE_IO

final int H5FD_LOG_FILE_IO = H5FD_LOG_FILE_IO()
| static

## ◆ H5FD_LOG_FILE_READ

final int H5FD_LOG_FILE_READ = H5FD_LOG_FILE_READ()
| static

## ◆ H5FD_LOG_FILE_WRITE

final int H5FD_LOG_FILE_WRITE = H5FD_LOG_FILE_WRITE()
| static

## ◆ H5FD_LOG_FLAVOR

final int H5FD_LOG_FLAVOR = H5FD_LOG_FLAVOR()
| static

## ◆ H5FD_LOG_LOC_IO

final int H5FD_LOG_LOC_IO = H5FD_LOG_LOC_IO()
| static

## ◆ H5FD_LOG_LOC_READ

final int H5FD_LOG_LOC_READ = H5FD_LOG_LOC_READ()
| static

## ◆ H5FD_LOG_LOC_SEEK

final int H5FD_LOG_LOC_SEEK = H5FD_LOG_LOC_SEEK()
| static

## ◆ H5FD_LOG_LOC_WRITE

final int H5FD_LOG_LOC_WRITE = H5FD_LOG_LOC_WRITE()
| static

## ◆ H5FD_LOG_NUM_IO

final int H5FD_LOG_NUM_IO = H5FD_LOG_NUM_IO()
| static

## ◆ H5FD_LOG_NUM_READ

final int H5FD_LOG_NUM_READ = H5FD_LOG_NUM_READ()
| static

## ◆ H5FD_LOG_NUM_SEEK

final int H5FD_LOG_NUM_SEEK = H5FD_LOG_NUM_SEEK()
| static

## ◆ H5FD_LOG_NUM_TRUNCATE

final int H5FD_LOG_NUM_TRUNCATE = H5FD_LOG_NUM_TRUNCATE()
| static

## ◆ H5FD_LOG_NUM_WRITE

final int H5FD_LOG_NUM_WRITE = H5FD_LOG_NUM_WRITE()
| static

## ◆ H5FD_LOG_TIME_CLOSE

final int H5FD_LOG_TIME_CLOSE = H5FD_LOG_TIME_CLOSE()
| static

## ◆ H5FD_LOG_TIME_IO

final int H5FD_LOG_TIME_IO = H5FD_LOG_TIME_IO()
| static

## ◆ H5FD_LOG_TIME_OPEN

final int H5FD_LOG_TIME_OPEN = H5FD_LOG_TIME_OPEN()
| static

## ◆ H5FD_LOG_TIME_READ

final int H5FD_LOG_TIME_READ = H5FD_LOG_TIME_READ()
| static

## ◆ H5FD_LOG_TIME_SEEK

final int H5FD_LOG_TIME_SEEK = H5FD_LOG_TIME_SEEK()
| static

## ◆ H5FD_LOG_TIME_STAT

final int H5FD_LOG_TIME_STAT = H5FD_LOG_TIME_STAT()
| static

## ◆ H5FD_LOG_TIME_WRITE

final int H5FD_LOG_TIME_WRITE = H5FD_LOG_TIME_WRITE()
| static

## ◆ H5FD_MEM_BTREE

final int H5FD_MEM_BTREE = H5FD_MEM_BTREE()
| static

## ◆ H5FD_MEM_DEFAULT

final int H5FD_MEM_DEFAULT = H5FD_MEM_DEFAULT()
| static

## ◆ H5FD_MEM_DEFAULT_BTREE_SIZE

final long H5FD_MEM_DEFAULT_BTREE_SIZE = H5FD_MEM_DEFAULT_BTREE_SIZE()
| static

## ◆ H5FD_MEM_DEFAULT_DRAW_SIZE

final long H5FD_MEM_DEFAULT_DRAW_SIZE = H5FD_MEM_DEFAULT_DRAW_SIZE()
| static

## ◆ H5FD_MEM_DEFAULT_GHEAP_SIZE

final long H5FD_MEM_DEFAULT_GHEAP_SIZE = H5FD_MEM_DEFAULT_GHEAP_SIZE()
| static

## ◆ H5FD_MEM_DEFAULT_LHEAP_SIZE

final long H5FD_MEM_DEFAULT_LHEAP_SIZE = H5FD_MEM_DEFAULT_LHEAP_SIZE()
| static

## ◆ H5FD_MEM_DEFAULT_OHDR_SIZE

final long H5FD_MEM_DEFAULT_OHDR_SIZE = H5FD_MEM_DEFAULT_OHDR_SIZE()
| static

## ◆ H5FD_MEM_DEFAULT_SIZE

final long H5FD_MEM_DEFAULT_SIZE = H5FD_MEM_DEFAULT_SIZE()
| static

## ◆ H5FD_MEM_DEFAULT_SUPER_SIZE

final long H5FD_MEM_DEFAULT_SUPER_SIZE = H5FD_MEM_DEFAULT_SUPER_SIZE()
| static

## ◆ H5FD_MEM_DRAW

final int H5FD_MEM_DRAW = H5FD_MEM_DRAW()
| static

## ◆ H5FD_MEM_GHEAP

final int H5FD_MEM_GHEAP = H5FD_MEM_GHEAP()
| static

## ◆ H5FD_MEM_LHEAP

final int H5FD_MEM_LHEAP = H5FD_MEM_LHEAP()
| static

## ◆ H5FD_MEM_NOLIST

final int H5FD_MEM_NOLIST = H5FD_MEM_NOLIST()
| static

## ◆ H5FD_MEM_NTYPES

final int H5FD_MEM_NTYPES = H5FD_MEM_NTYPES()
| static

## ◆ H5FD_MEM_OHDR

final int H5FD_MEM_OHDR = H5FD_MEM_OHDR()
| static

## ◆ H5FD_MEM_SUPER

final int H5FD_MEM_SUPER = H5FD_MEM_SUPER()
| static

## ◆ H5FD_MPIO

final long H5FD_MPIO = H5FD_MPIO()
| static

## ◆ H5FD_MULTI

final long H5FD_MULTI = H5FD_MULTI()
| static

## ◆ H5FD_ROS3

final long H5FD_ROS3 = H5FD_ROS3()
| static

## ◆ H5FD_SEC2

final long H5FD_SEC2 = H5FD_SEC2()
| static

## ◆ H5FD_STDIO

final long H5FD_STDIO = H5FD_STDIO()
| static

## ◆ H5FD_WINDOWS

final long H5FD_WINDOWS = H5FD_WINDOWS()
| static

## ◆ H5G_STORAGE_TYPE_COMPACT

final int H5G_STORAGE_TYPE_COMPACT = H5G_STORAGE_TYPE_COMPACT()
| static

## ◆ H5G_STORAGE_TYPE_DENSE

final int H5G_STORAGE_TYPE_DENSE = H5G_STORAGE_TYPE_DENSE()
| static

## ◆ H5G_STORAGE_TYPE_SYMBOL_TABLE

final int H5G_STORAGE_TYPE_SYMBOL_TABLE = H5G_STORAGE_TYPE_SYMBOL_TABLE()
| static

## ◆ H5G_STORAGE_TYPE_UNKNOWN

final int H5G_STORAGE_TYPE_UNKNOWN = H5G_STORAGE_TYPE_UNKNOWN()
| static

## ◆ H5I_ATTR

final int H5I_ATTR = H5I_ATTR()
| static

## ◆ H5I_BADID

final int H5I_BADID = H5I_BADID()
| static

## ◆ H5I_DATASET

final int H5I_DATASET = H5I_DATASET()
| static

## ◆ H5I_DATASPACE

final int H5I_DATASPACE = H5I_DATASPACE()
| static

## ◆ H5I_DATATYPE

final int H5I_DATATYPE = H5I_DATATYPE()
| static

## ◆ H5I_ERROR_CLASS

final int H5I_ERROR_CLASS = H5I_ERROR_CLASS()
| static

## ◆ H5I_ERROR_MSG

final int H5I_ERROR_MSG = H5I_ERROR_MSG()
| static

## ◆ H5I_ERROR_STACK

final int H5I_ERROR_STACK = H5I_ERROR_STACK()
| static

## ◆ H5I_FILE

final int H5I_FILE = H5I_FILE()
| static

## ◆ H5I_GENPROP_CLS

final int H5I_GENPROP_CLS = H5I_GENPROP_CLS()
| static

## ◆ H5I_GENPROP_LST

final int H5I_GENPROP_LST = H5I_GENPROP_LST()
| static

## ◆ H5I_GROUP

final int H5I_GROUP = H5I_GROUP()
| static

## ◆ H5I_INVALID_HID

final int H5I_INVALID_HID = H5I_INVALID_HID()
| static

## ◆ H5I_NTYPES

final int H5I_NTYPES = H5I_NTYPES()
| static

## ◆ H5I_UNINIT

final int H5I_UNINIT = H5I_UNINIT()
| static

## ◆ H5I_VFL

final int H5I_VFL = H5I_VFL()
| static

## ◆ H5I_VOL

final int H5I_VOL = H5I_VOL()
| static

## ◆ H5L_TYPE_ERROR

final int H5L_TYPE_ERROR = H5L_TYPE_ERROR()
| static

## ◆ H5L_TYPE_EXTERNAL

final int H5L_TYPE_EXTERNAL = H5L_TYPE_EXTERNAL()
| static

## ◆ H5L_TYPE_HARD

final int H5L_TYPE_HARD = H5L_TYPE_HARD()
| static

## ◆ H5L_TYPE_MAX

final int H5L_TYPE_MAX = H5L_TYPE_MAX()
| static

## ◆ H5L_TYPE_SOFT

final int H5L_TYPE_SOFT = H5L_TYPE_SOFT()
| static

## ◆ H5O_COPY_EXPAND_EXT_LINK_FLAG

final int H5O_COPY_EXPAND_EXT_LINK_FLAG = H5O_COPY_EXPAND_EXT_LINK_FLAG()
| static

## ◆ H5O_COPY_EXPAND_REFERENCE_FLAG

final int H5O_COPY_EXPAND_REFERENCE_FLAG = H5O_COPY_EXPAND_REFERENCE_FLAG()
| static

## ◆ H5O_COPY_EXPAND_SOFT_LINK_FLAG

final int H5O_COPY_EXPAND_SOFT_LINK_FLAG = H5O_COPY_EXPAND_SOFT_LINK_FLAG()
| static

## ◆ H5O_COPY_PRESERVE_NULL_FLAG

final int H5O_COPY_PRESERVE_NULL_FLAG = H5O_COPY_PRESERVE_NULL_FLAG()
| static

## ◆ H5O_COPY_SHALLOW_HIERARCHY_FLAG

final int H5O_COPY_SHALLOW_HIERARCHY_FLAG = H5O_COPY_SHALLOW_HIERARCHY_FLAG()
| static

## ◆ H5O_COPY_WITHOUT_ATTR_FLAG

final int H5O_COPY_WITHOUT_ATTR_FLAG = H5O_COPY_WITHOUT_ATTR_FLAG()
| static

## ◆ H5O_INFO_ALL

final int H5O_INFO_ALL = H5O_INFO_ALL()
| static

## ◆ H5O_INFO_BASIC

final int H5O_INFO_BASIC = H5O_INFO_BASIC()
| static

## ◆ H5O_INFO_NUM_ATTRS

final int H5O_INFO_NUM_ATTRS = H5O_INFO_NUM_ATTRS()
| static

## ◆ H5O_INFO_TIME

final int H5O_INFO_TIME = H5O_INFO_TIME()
| static

## ◆ H5O_MAX_TOKEN_SIZE

final int H5O_MAX_TOKEN_SIZE = H5O_MAX_TOKEN_SIZE()
| static

## ◆ H5O_NATIVE_INFO_ALL

final int H5O_NATIVE_INFO_ALL = H5O_NATIVE_INFO_ALL()
| static

## ◆ H5O_NATIVE_INFO_HDR

final int H5O_NATIVE_INFO_HDR = H5O_NATIVE_INFO_HDR()
| static

## ◆ H5O_NATIVE_INFO_META_SIZE

final int H5O_NATIVE_INFO_META_SIZE = H5O_NATIVE_INFO_META_SIZE()
| static

## ◆ H5O_SHMESG_ALL_FLAG

final int H5O_SHMESG_ALL_FLAG = H5O_SHMESG_ALL_FLAG()
| static

## ◆ H5O_SHMESG_ATTR_FLAG

final int H5O_SHMESG_ATTR_FLAG = H5O_SHMESG_ATTR_FLAG()
| static

## ◆ H5O_SHMESG_DTYPE_FLAG

final int H5O_SHMESG_DTYPE_FLAG = H5O_SHMESG_DTYPE_FLAG()
| static

## ◆ H5O_SHMESG_FILL_FLAG

final int H5O_SHMESG_FILL_FLAG = H5O_SHMESG_FILL_FLAG()
| static

## ◆ H5O_SHMESG_NONE_FLAG

final int H5O_SHMESG_NONE_FLAG = H5O_SHMESG_NONE_FLAG()
| static

## ◆ H5O_SHMESG_PLINE_FLAG

final int H5O_SHMESG_PLINE_FLAG = H5O_SHMESG_PLINE_FLAG()
| static

## ◆ H5O_SHMESG_SDSPACE_FLAG

final int H5O_SHMESG_SDSPACE_FLAG = H5O_SHMESG_SDSPACE_FLAG()
| static

## ◆ H5O_TOKEN_UNDEF

final H5O_token_t H5O_TOKEN_UNDEF = H5O_TOKEN_UNDEF()
| static

## ◆ H5O_TYPE_DATASET

final int H5O_TYPE_DATASET = H5O_TYPE_DATASET()
| static

## ◆ H5O_TYPE_GROUP

final int H5O_TYPE_GROUP = H5O_TYPE_GROUP()
| static

## ◆ H5O_TYPE_NAMED_DATATYPE

final int H5O_TYPE_NAMED_DATATYPE = H5O_TYPE_NAMED_DATATYPE()
| static

## ◆ H5O_TYPE_NTYPES

final int H5O_TYPE_NTYPES = H5O_TYPE_NTYPES()
| static

## ◆ H5O_TYPE_UNKNOWN

final int H5O_TYPE_UNKNOWN = H5O_TYPE_UNKNOWN()
| static

## ◆ H5P_ATTRIBUTE_ACCESS

final long H5P_ATTRIBUTE_ACCESS = H5P_ATTRIBUTE_ACCESS()
| static

## ◆ H5P_ATTRIBUTE_ACCESS_DEFAULT

final long H5P_ATTRIBUTE_ACCESS_DEFAULT = H5P_ATTRIBUTE_ACCESS_DEFAULT()
| static

## ◆ H5P_ATTRIBUTE_CREATE

final long H5P_ATTRIBUTE_CREATE = H5P_ATTRIBUTE_CREATE()
| static

## ◆ H5P_ATTRIBUTE_CREATE_DEFAULT

final long H5P_ATTRIBUTE_CREATE_DEFAULT = H5P_ATTRIBUTE_CREATE_DEFAULT()
| static

## ◆ H5P_CRT_ORDER_INDEXED

final int H5P_CRT_ORDER_INDEXED = H5P_CRT_ORDER_INDEXED()
| static

## ◆ H5P_CRT_ORDER_TRACKED

final int H5P_CRT_ORDER_TRACKED = H5P_CRT_ORDER_TRACKED()
| static

## ◆ H5P_DATASET_ACCESS

final long H5P_DATASET_ACCESS = H5P_DATASET_ACCESS()
| static

## ◆ H5P_DATASET_ACCESS_DEFAULT

final long H5P_DATASET_ACCESS_DEFAULT = H5P_DATASET_ACCESS_DEFAULT()
| static

## ◆ H5P_DATASET_CREATE

final long H5P_DATASET_CREATE = H5P_DATASET_CREATE()
| static

## ◆ H5P_DATASET_CREATE_DEFAULT

final long H5P_DATASET_CREATE_DEFAULT = H5P_DATASET_CREATE_DEFAULT()
| static

## ◆ H5P_DATASET_XFER

final long H5P_DATASET_XFER = H5P_DATASET_XFER()
| static

## ◆ H5P_DATASET_XFER_DEFAULT

final long H5P_DATASET_XFER_DEFAULT = H5P_DATASET_XFER_DEFAULT()
| static

## ◆ H5P_DATATYPE_ACCESS

final long H5P_DATATYPE_ACCESS = H5P_DATATYPE_ACCESS()
| static

## ◆ H5P_DATATYPE_ACCESS_DEFAULT

final long H5P_DATATYPE_ACCESS_DEFAULT = H5P_DATATYPE_ACCESS_DEFAULT()
| static

## ◆ H5P_DATATYPE_CREATE

final long H5P_DATATYPE_CREATE = H5P_DATATYPE_CREATE()
| static

## ◆ H5P_DATATYPE_CREATE_DEFAULT

final long H5P_DATATYPE_CREATE_DEFAULT = H5P_DATATYPE_CREATE_DEFAULT()
| static

## ◆ H5P_DEFAULT

final long H5P_DEFAULT = H5P_DEFAULT()
| static

## ◆ H5P_FILE_ACCESS

final long H5P_FILE_ACCESS = H5P_FILE_ACCESS()
| static

## ◆ H5P_FILE_ACCESS_DEFAULT

final long H5P_FILE_ACCESS_DEFAULT = H5P_FILE_ACCESS_DEFAULT()
| static

## ◆ H5P_FILE_CREATE

final long H5P_FILE_CREATE = H5P_FILE_CREATE()
| static

## ◆ H5P_FILE_CREATE_DEFAULT

final long H5P_FILE_CREATE_DEFAULT = H5P_FILE_CREATE_DEFAULT()
| static

## ◆ H5P_FILE_MOUNT

final long H5P_FILE_MOUNT = H5P_FILE_MOUNT()
| static

## ◆ H5P_FILE_MOUNT_DEFAULT

final long H5P_FILE_MOUNT_DEFAULT = H5P_FILE_MOUNT_DEFAULT()
| static

## ◆ H5P_GROUP_ACCESS

final long H5P_GROUP_ACCESS = H5P_GROUP_ACCESS()
| static

## ◆ H5P_GROUP_ACCESS_DEFAULT

final long H5P_GROUP_ACCESS_DEFAULT = H5P_GROUP_ACCESS_DEFAULT()
| static

## ◆ H5P_GROUP_CREATE

final long H5P_GROUP_CREATE = H5P_GROUP_CREATE()
| static

## ◆ H5P_GROUP_CREATE_DEFAULT

final long H5P_GROUP_CREATE_DEFAULT = H5P_GROUP_CREATE_DEFAULT()
| static

## ◆ H5P_LINK_ACCESS

final long H5P_LINK_ACCESS = H5P_LINK_ACCESS()
| static

## ◆ H5P_LINK_ACCESS_DEFAULT

final long H5P_LINK_ACCESS_DEFAULT = H5P_LINK_ACCESS_DEFAULT()
| static

## ◆ H5P_LINK_CREATE

final long H5P_LINK_CREATE = H5P_LINK_CREATE()
| static

## ◆ H5P_LINK_CREATE_DEFAULT

final long H5P_LINK_CREATE_DEFAULT = H5P_LINK_CREATE_DEFAULT()
| static

## ◆ H5P_OBJECT_COPY

final long H5P_OBJECT_COPY = H5P_OBJECT_COPY()
| static

## ◆ H5P_OBJECT_COPY_DEFAULT

final long H5P_OBJECT_COPY_DEFAULT = H5P_OBJECT_COPY_DEFAULT()
| static

## ◆ H5P_OBJECT_CREATE

final long H5P_OBJECT_CREATE = H5P_OBJECT_CREATE()
| static

## ◆ H5P_ROOT

final long H5P_ROOT = H5P_ROOT()
| static

## ◆ H5P_STRING_CREATE

final long H5P_STRING_CREATE = H5P_STRING_CREATE()
| static

## ◆ H5P_VOL_INITIALIZE

final long H5P_VOL_INITIALIZE = H5P_VOL_INITIALIZE()
| static

## ◆ H5P_VOL_INITIALIZE_DEFAULT

final long H5P_VOL_INITIALIZE_DEFAULT = H5P_VOL_INITIALIZE_DEFAULT()
| static

## ◆ H5PL_ALL_PLUGIN

final int H5PL_ALL_PLUGIN = H5PL_ALL_PLUGIN()
| static

## ◆ H5PL_FILTER_PLUGIN

final int H5PL_FILTER_PLUGIN = H5PL_FILTER_PLUGIN()
| static

## ◆ H5PL_TYPE_ERROR

final int H5PL_TYPE_ERROR = H5PL_TYPE_ERROR()
| static

## ◆ H5PL_TYPE_FILTER

final int H5PL_TYPE_FILTER = H5PL_TYPE_FILTER()
| static

## ◆ H5PL_TYPE_NONE

final int H5PL_TYPE_NONE = H5PL_TYPE_NONE()
| static

## ◆ H5PL_TYPE_VOL

final int H5PL_TYPE_VOL = H5PL_TYPE_VOL()
| static

## ◆ H5PL_VOL_PLUGIN

final int H5PL_VOL_PLUGIN = H5PL_VOL_PLUGIN()
| static

## ◆ H5R_ATTR

final int H5R_ATTR = H5R_ATTR()
| static

## ◆ H5R_BADTYPE

final int H5R_BADTYPE = H5R_BADTYPE()
| static

## ◆ H5R_DATASET_REGION

final int H5R_DATASET_REGION = H5R_DATASET_REGION()
| static

## ◆ H5R_DATASET_REGION1

final int H5R_DATASET_REGION1 = H5R_DATASET_REGION1()
| static

## ◆ H5R_DATASET_REGION2

final int H5R_DATASET_REGION2 = H5R_DATASET_REGION2()
| static

## ◆ H5R_DSET_REG_REF_BUF_SIZE

final int H5R_DSET_REG_REF_BUF_SIZE = H5R_DSET_REG_REF_BUF_SIZE()
| static

## ◆ H5R_MAXTYPE

final int H5R_MAXTYPE = H5R_MAXTYPE()
| static

## ◆ H5R_OBJ_REF_BUF_SIZE

final int H5R_OBJ_REF_BUF_SIZE = H5R_OBJ_REF_BUF_SIZE()
| static

## ◆ H5R_OBJECT

final int H5R_OBJECT = H5R_OBJECT()
| static

## ◆ H5R_OBJECT1

final int H5R_OBJECT1 = H5R_OBJECT1()
| static

## ◆ H5R_OBJECT2

final int H5R_OBJECT2 = H5R_OBJECT2()
| static

## ◆ H5R_REF_BUF_SIZE

final int H5R_REF_BUF_SIZE = H5R_REF_BUF_SIZE()
| static

## ◆ H5S_ALL

final int H5S_ALL = H5S_ALL()
| static

Define atomic datatypes

## ◆ H5S_MAX_RANK

final int H5S_MAX_RANK = H5S_MAX_RANK()
| static

Define user-level maximum number of dimensions

## ◆ H5S_NO_CLASS

final int H5S_NO_CLASS = H5S_NO_CLASS()
| static

Different types of dataspaces - error

## ◆ H5S_NULL

final int H5S_NULL = H5S_NULL()
| static

Different types of dataspaces - null dataspace

## ◆ H5S_SCALAR

final int H5S_SCALAR = H5S_SCALAR()
| static

Different types of dataspaces - scalar variable

## ◆ H5S_SEL_ALL

final int H5S_SEL_ALL = H5S_SEL_ALL()
| static

Enumerated type for the type of selection - Entire extent selected

## ◆ H5S_SEL_ERROR

final int H5S_SEL_ERROR = H5S_SEL_ERROR()
| static

Enumerated type for the type of selection - Error

## ◆ H5S_SEL_HYPERSLABS

final int H5S_SEL_HYPERSLABS = H5S_SEL_HYPERSLABS()
| static

Enumerated type for the type of selection - Hyperslab selected

## ◆ H5S_SEL_N

final int H5S_SEL_N = H5S_SEL_N()
| static

Enumerated type for the type of selection - LAST

## ◆ H5S_SEL_NONE

final int H5S_SEL_NONE = H5S_SEL_NONE()
| static

Enumerated type for the type of selection - Nothing selected

## ◆ H5S_SEL_POINTS

final int H5S_SEL_POINTS = H5S_SEL_POINTS()
| static

Enumerated type for the type of selection - Points / elements selected

## ◆ H5S_SELECT_AND

final int H5S_SELECT_AND = H5S_SELECT_AND()
| static

Different ways of combining selections - Binary "and" operation for hyperslabs

## ◆ H5S_SELECT_APPEND

final int H5S_SELECT_APPEND = H5S_SELECT_APPEND()
| static

Different ways of combining selections - Append elements to end of point selection

## ◆ H5S_SELECT_INVALID

final int H5S_SELECT_INVALID = H5S_SELECT_INVALID()
| static

Different ways of combining selections - Invalid upper bound on selection operations

## ◆ H5S_SELECT_NOOP

final int H5S_SELECT_NOOP = H5S_SELECT_NOOP()
| static

Different ways of combining selections - error

## ◆ H5S_SELECT_NOTA

final int H5S_SELECT_NOTA = H5S_SELECT_NOTA()
| static

Different ways of combining selections - Binary "not" operation for hyperslabs

## ◆ H5S_SELECT_NOTB

final int H5S_SELECT_NOTB = H5S_SELECT_NOTB()
| static

Different ways of combining selections - Binary "not" operation for hyperslabs

## ◆ H5S_SELECT_OR

final int H5S_SELECT_OR = H5S_SELECT_OR()
| static

Different ways of combining selections - Binary "or" operation for hyperslabs

## ◆ H5S_SELECT_PREPEND

final int H5S_SELECT_PREPEND = H5S_SELECT_PREPEND()
| static

Different ways of combining selections - Prepend elements to beginning of point selection

## ◆ H5S_SELECT_SET

final int H5S_SELECT_SET = H5S_SELECT_SET()
| static

Different ways of combining selections - Select "set" operation

## ◆ H5S_SELECT_XOR

final int H5S_SELECT_XOR = H5S_SELECT_XOR()
| static

Different ways of combining selections - Binary "xor" operation for hyperslabs

## ◆ H5S_SIMPLE

final int H5S_SIMPLE = H5S_SIMPLE()
| static

Different types of dataspaces - simple dataspace

## ◆ H5S_UNLIMITED

final int H5S_UNLIMITED = H5S_UNLIMITED()
| static

Define atomic datatypes

## ◆ H5T_ALPHA_B16

final long H5T_ALPHA_B16 = H5T_ALPHA_B16()
| static

## ◆ H5T_ALPHA_B32

final long H5T_ALPHA_B32 = H5T_ALPHA_B32()
| static

## ◆ H5T_ALPHA_B64

final long H5T_ALPHA_B64 = H5T_ALPHA_B64()
| static

## ◆ H5T_ALPHA_B8

final long H5T_ALPHA_B8 = H5T_ALPHA_B8()
| static

## ◆ H5T_ALPHA_F32

final long H5T_ALPHA_F32 = H5T_ALPHA_F32()
| static

## ◆ H5T_ALPHA_F64

final long H5T_ALPHA_F64 = H5T_ALPHA_F64()
| static

## ◆ H5T_ALPHA_I16

final long H5T_ALPHA_I16 = H5T_ALPHA_I16()
| static

## ◆ H5T_ALPHA_I32

final long H5T_ALPHA_I32 = H5T_ALPHA_I32()
| static

## ◆ H5T_ALPHA_I64

final long H5T_ALPHA_I64 = H5T_ALPHA_I64()
| static

## ◆ H5T_ALPHA_I8

final long H5T_ALPHA_I8 = H5T_ALPHA_I8()
| static

## ◆ H5T_ALPHA_U16

final long H5T_ALPHA_U16 = H5T_ALPHA_U16()
| static

## ◆ H5T_ALPHA_U32

final long H5T_ALPHA_U32 = H5T_ALPHA_U32()
| static

## ◆ H5T_ALPHA_U64

final long H5T_ALPHA_U64 = H5T_ALPHA_U64()
| static

## ◆ H5T_ALPHA_U8

final long H5T_ALPHA_U8 = H5T_ALPHA_U8()
| static

## ◆ H5T_ARRAY

final int H5T_ARRAY = H5T_ARRAY()
| static

## ◆ H5T_BITFIELD

final int H5T_BITFIELD = H5T_BITFIELD()
| static

## ◆ H5T_BKG_NO

final int H5T_BKG_NO = H5T_BKG_NO()
| static

## ◆ H5T_BKG_YES

final int H5T_BKG_YES = H5T_BKG_YES()
| static

## ◆ H5T_C_S1

final long H5T_C_S1 = H5T_C_S1()
| static

## ◆ H5T_COMPLEX

final int H5T_COMPLEX = H5T_COMPLEX()
| static

## ◆ H5T_COMPLEX_IEEE_F16BE

final long H5T_COMPLEX_IEEE_F16BE = H5T_COMPLEX_IEEE_F16BE()
| static

## ◆ H5T_COMPLEX_IEEE_F16LE

final long H5T_COMPLEX_IEEE_F16LE = H5T_COMPLEX_IEEE_F16LE()
| static

## ◆ H5T_COMPLEX_IEEE_F32BE

final long H5T_COMPLEX_IEEE_F32BE = H5T_COMPLEX_IEEE_F32BE()
| static

## ◆ H5T_COMPLEX_IEEE_F32LE

final long H5T_COMPLEX_IEEE_F32LE = H5T_COMPLEX_IEEE_F32LE()
| static

## ◆ H5T_COMPLEX_IEEE_F64BE

final long H5T_COMPLEX_IEEE_F64BE = H5T_COMPLEX_IEEE_F64BE()
| static

## ◆ H5T_COMPLEX_IEEE_F64LE

final long H5T_COMPLEX_IEEE_F64LE = H5T_COMPLEX_IEEE_F64LE()
| static

## ◆ H5T_COMPOUND

final int H5T_COMPOUND = H5T_COMPOUND()
| static

## ◆ H5T_CONV_CONV

final int H5T_CONV_CONV = H5T_CONV_CONV()
| static

## ◆ H5T_CONV_FREE

final int H5T_CONV_FREE = H5T_CONV_FREE()
| static

## ◆ H5T_CONV_INIT

final int H5T_CONV_INIT = H5T_CONV_INIT()
| static

## ◆ H5T_CSET_ASCII

final int H5T_CSET_ASCII = H5T_CSET_ASCII()
| static

## ◆ H5T_CSET_ERROR

final int H5T_CSET_ERROR = H5T_CSET_ERROR()
| static

## ◆ H5T_CSET_RESERVED_10

final int H5T_CSET_RESERVED_10 = H5T_CSET_RESERVED_10()
| static

## ◆ H5T_CSET_RESERVED_11

final int H5T_CSET_RESERVED_11 = H5T_CSET_RESERVED_11()
| static

## ◆ H5T_CSET_RESERVED_12

final int H5T_CSET_RESERVED_12 = H5T_CSET_RESERVED_12()
| static

## ◆ H5T_CSET_RESERVED_13

final int H5T_CSET_RESERVED_13 = H5T_CSET_RESERVED_13()
| static

## ◆ H5T_CSET_RESERVED_14

final int H5T_CSET_RESERVED_14 = H5T_CSET_RESERVED_14()
| static

## ◆ H5T_CSET_RESERVED_15

final int H5T_CSET_RESERVED_15 = H5T_CSET_RESERVED_15()
| static

## ◆ H5T_CSET_RESERVED_2

final int H5T_CSET_RESERVED_2 = H5T_CSET_RESERVED_2()
| static

## ◆ H5T_CSET_RESERVED_3

final int H5T_CSET_RESERVED_3 = H5T_CSET_RESERVED_3()
| static

## ◆ H5T_CSET_RESERVED_4

final int H5T_CSET_RESERVED_4 = H5T_CSET_RESERVED_4()
| static

## ◆ H5T_CSET_RESERVED_5

final int H5T_CSET_RESERVED_5 = H5T_CSET_RESERVED_5()
| static

## ◆ H5T_CSET_RESERVED_6

final int H5T_CSET_RESERVED_6 = H5T_CSET_RESERVED_6()
| static

## ◆ H5T_CSET_RESERVED_7

final int H5T_CSET_RESERVED_7 = H5T_CSET_RESERVED_7()
| static

## ◆ H5T_CSET_RESERVED_8

final int H5T_CSET_RESERVED_8 = H5T_CSET_RESERVED_8()
| static

## ◆ H5T_CSET_RESERVED_9

final int H5T_CSET_RESERVED_9 = H5T_CSET_RESERVED_9()
| static

## ◆ H5T_CSET_UTF8

final int H5T_CSET_UTF8 = H5T_CSET_UTF8()
| static

## ◆ H5T_DIR_ASCEND

final int H5T_DIR_ASCEND = H5T_DIR_ASCEND()
| static

## ◆ H5T_DIR_DEFAULT

final int H5T_DIR_DEFAULT = H5T_DIR_DEFAULT()
| static

## ◆ H5T_DIR_DESCEND

final int H5T_DIR_DESCEND = H5T_DIR_DESCEND()
| static

## ◆ H5T_ENUM

final int H5T_ENUM = H5T_ENUM()
| static

## ◆ H5T_FLOAT

final int H5T_FLOAT = H5T_FLOAT()
| static

## ◆ H5T_FLOAT_BFLOAT16BE

final long H5T_FLOAT_BFLOAT16BE = H5T_FLOAT_BFLOAT16BE()
| static

## ◆ H5T_FLOAT_BFLOAT16LE

final long H5T_FLOAT_BFLOAT16LE = H5T_FLOAT_BFLOAT16LE()
| static

## ◆ H5T_FLOAT_F4E2M1

final long H5T_FLOAT_F4E2M1 = H5T_FLOAT_F4E2M1()
| static

## ◆ H5T_FLOAT_F6E2M3

final long H5T_FLOAT_F6E2M3 = H5T_FLOAT_F6E2M3()
| static

## ◆ H5T_FLOAT_F6E3M2

final long H5T_FLOAT_F6E3M2 = H5T_FLOAT_F6E3M2()
| static

## ◆ H5T_FLOAT_F8E4M3

final long H5T_FLOAT_F8E4M3 = H5T_FLOAT_F8E4M3()
| static

## ◆ H5T_FLOAT_F8E5M2

final long H5T_FLOAT_F8E5M2 = H5T_FLOAT_F8E5M2()
| static

## ◆ H5T_FORTRAN_S1

final long H5T_FORTRAN_S1 = H5T_FORTRAN_S1()
| static

## ◆ H5T_IEEE_F16BE

final long H5T_IEEE_F16BE = H5T_IEEE_F16BE()
| static

## ◆ H5T_IEEE_F16LE

final long H5T_IEEE_F16LE = H5T_IEEE_F16LE()
| static

## ◆ H5T_IEEE_F32BE

final long H5T_IEEE_F32BE = H5T_IEEE_F32BE()
| static

## ◆ H5T_IEEE_F32LE

final long H5T_IEEE_F32LE = H5T_IEEE_F32LE()
| static

## ◆ H5T_IEEE_F64BE

final long H5T_IEEE_F64BE = H5T_IEEE_F64BE()
| static

## ◆ H5T_IEEE_F64LE

final long H5T_IEEE_F64LE = H5T_IEEE_F64LE()
| static

## ◆ H5T_INTEGER

final int H5T_INTEGER = H5T_INTEGER()
| static

## ◆ H5T_INTEL_B16

final long H5T_INTEL_B16 = H5T_INTEL_B16()
| static

## ◆ H5T_INTEL_B32

final long H5T_INTEL_B32 = H5T_INTEL_B32()
| static

## ◆ H5T_INTEL_B64

final long H5T_INTEL_B64 = H5T_INTEL_B64()
| static

## ◆ H5T_INTEL_B8

final long H5T_INTEL_B8 = H5T_INTEL_B8()
| static

## ◆ H5T_INTEL_F32

final long H5T_INTEL_F32 = H5T_INTEL_F32()
| static

## ◆ H5T_INTEL_F64

final long H5T_INTEL_F64 = H5T_INTEL_F64()
| static

## ◆ H5T_INTEL_I16

final long H5T_INTEL_I16 = H5T_INTEL_I16()
| static

## ◆ H5T_INTEL_I32

final long H5T_INTEL_I32 = H5T_INTEL_I32()
| static

## ◆ H5T_INTEL_I64

final long H5T_INTEL_I64 = H5T_INTEL_I64()
| static

## ◆ H5T_INTEL_I8

final long H5T_INTEL_I8 = H5T_INTEL_I8()
| static

## ◆ H5T_INTEL_U16

final long H5T_INTEL_U16 = H5T_INTEL_U16()
| static

## ◆ H5T_INTEL_U32

final long H5T_INTEL_U32 = H5T_INTEL_U32()
| static

## ◆ H5T_INTEL_U64

final long H5T_INTEL_U64 = H5T_INTEL_U64()
| static

## ◆ H5T_INTEL_U8

final long H5T_INTEL_U8 = H5T_INTEL_U8()
| static

## ◆ H5T_MIPS_B16

final long H5T_MIPS_B16 = H5T_MIPS_B16()
| static

## ◆ H5T_MIPS_B32

final long H5T_MIPS_B32 = H5T_MIPS_B32()
| static

## ◆ H5T_MIPS_B64

final long H5T_MIPS_B64 = H5T_MIPS_B64()
| static

## ◆ H5T_MIPS_B8

final long H5T_MIPS_B8 = H5T_MIPS_B8()
| static

## ◆ H5T_MIPS_F32

final long H5T_MIPS_F32 = H5T_MIPS_F32()
| static

## ◆ H5T_MIPS_F64

final long H5T_MIPS_F64 = H5T_MIPS_F64()
| static

## ◆ H5T_MIPS_I16

final long H5T_MIPS_I16 = H5T_MIPS_I16()
| static

## ◆ H5T_MIPS_I32

final long H5T_MIPS_I32 = H5T_MIPS_I32()
| static

## ◆ H5T_MIPS_I64

final long H5T_MIPS_I64 = H5T_MIPS_I64()
| static

## ◆ H5T_MIPS_I8

final long H5T_MIPS_I8 = H5T_MIPS_I8()
| static

## ◆ H5T_MIPS_U16

final long H5T_MIPS_U16 = H5T_MIPS_U16()
| static

## ◆ H5T_MIPS_U32

final long H5T_MIPS_U32 = H5T_MIPS_U32()
| static

## ◆ H5T_MIPS_U64

final long H5T_MIPS_U64 = H5T_MIPS_U64()
| static

## ◆ H5T_MIPS_U8

final long H5T_MIPS_U8 = H5T_MIPS_U8()
| static

## ◆ H5T_NATIVE_B16

final long H5T_NATIVE_B16 = H5T_NATIVE_B16()
| static

## ◆ H5T_NATIVE_B32

final long H5T_NATIVE_B32 = H5T_NATIVE_B32()
| static

## ◆ H5T_NATIVE_B64

final long H5T_NATIVE_B64 = H5T_NATIVE_B64()
| static

## ◆ H5T_NATIVE_B8

final long H5T_NATIVE_B8 = H5T_NATIVE_B8()
| static

## ◆ H5T_NATIVE_CHAR

final long H5T_NATIVE_CHAR = H5T_NATIVE_CHAR()
| static

## ◆ H5T_NATIVE_DOUBLE

final long H5T_NATIVE_DOUBLE = H5T_NATIVE_DOUBLE()
| static

## ◆ H5T_NATIVE_DOUBLE_COMPLEX

final long H5T_NATIVE_DOUBLE_COMPLEX = H5T_NATIVE_DOUBLE_COMPLEX()
| static

## ◆ H5T_NATIVE_FLOAT

final long H5T_NATIVE_FLOAT = H5T_NATIVE_FLOAT()
| static

## ◆ H5T_NATIVE_FLOAT16

final long H5T_NATIVE_FLOAT16 = H5T_NATIVE_FLOAT16()
| static

## ◆ H5T_NATIVE_FLOAT_COMPLEX

final long H5T_NATIVE_FLOAT_COMPLEX = H5T_NATIVE_FLOAT_COMPLEX()
| static

## ◆ H5T_NATIVE_HADDR

final long H5T_NATIVE_HADDR = H5T_NATIVE_HADDR()
| static

## ◆ H5T_NATIVE_HBOOL

final long H5T_NATIVE_HBOOL = H5T_NATIVE_HBOOL()
| static

## ◆ H5T_NATIVE_HERR

final long H5T_NATIVE_HERR = H5T_NATIVE_HERR()
| static

## ◆ H5T_NATIVE_HSIZE

final long H5T_NATIVE_HSIZE = H5T_NATIVE_HSIZE()
| static

## ◆ H5T_NATIVE_HSSIZE

final long H5T_NATIVE_HSSIZE = H5T_NATIVE_HSSIZE()
| static

## ◆ H5T_NATIVE_INT

final long H5T_NATIVE_INT = H5T_NATIVE_INT()
| static

## ◆ H5T_NATIVE_INT16

final long H5T_NATIVE_INT16 = H5T_NATIVE_INT16()
| static

## ◆ H5T_NATIVE_INT32

final long H5T_NATIVE_INT32 = H5T_NATIVE_INT32()
| static

## ◆ H5T_NATIVE_INT64

final long H5T_NATIVE_INT64 = H5T_NATIVE_INT64()
| static

## ◆ H5T_NATIVE_INT8

final long H5T_NATIVE_INT8 = H5T_NATIVE_INT8()
| static

## ◆ H5T_NATIVE_INT_FAST16

final long H5T_NATIVE_INT_FAST16 = H5T_NATIVE_INT_FAST16()
| static

## ◆ H5T_NATIVE_INT_FAST32

final long H5T_NATIVE_INT_FAST32 = H5T_NATIVE_INT_FAST32()
| static

## ◆ H5T_NATIVE_INT_FAST64

final long H5T_NATIVE_INT_FAST64 = H5T_NATIVE_INT_FAST64()
| static

## ◆ H5T_NATIVE_INT_FAST8

final long H5T_NATIVE_INT_FAST8 = H5T_NATIVE_INT_FAST8()
| static

## ◆ H5T_NATIVE_INT_LEAST16

final long H5T_NATIVE_INT_LEAST16 = H5T_NATIVE_INT_LEAST16()
| static

## ◆ H5T_NATIVE_INT_LEAST32

final long H5T_NATIVE_INT_LEAST32 = H5T_NATIVE_INT_LEAST32()
| static

## ◆ H5T_NATIVE_INT_LEAST64

final long H5T_NATIVE_INT_LEAST64 = H5T_NATIVE_INT_LEAST64()
| static

## ◆ H5T_NATIVE_INT_LEAST8

final long H5T_NATIVE_INT_LEAST8 = H5T_NATIVE_INT_LEAST8()
| static

## ◆ H5T_NATIVE_LDOUBLE

final long H5T_NATIVE_LDOUBLE = H5T_NATIVE_LDOUBLE()
| static

## ◆ H5T_NATIVE_LDOUBLE_COMPLEX

final long H5T_NATIVE_LDOUBLE_COMPLEX = H5T_NATIVE_LDOUBLE_COMPLEX()
| static

## ◆ H5T_NATIVE_LLONG

final long H5T_NATIVE_LLONG = H5T_NATIVE_LLONG()
| static

## ◆ H5T_NATIVE_LONG

final long H5T_NATIVE_LONG = H5T_NATIVE_LONG()
| static

## ◆ H5T_NATIVE_OPAQUE

final long H5T_NATIVE_OPAQUE = H5T_NATIVE_OPAQUE()
| static

## ◆ H5T_NATIVE_SCHAR

final long H5T_NATIVE_SCHAR = H5T_NATIVE_SCHAR()
| static

## ◆ H5T_NATIVE_SHORT

final long H5T_NATIVE_SHORT = H5T_NATIVE_SHORT()
| static

## ◆ H5T_NATIVE_UCHAR

final long H5T_NATIVE_UCHAR = H5T_NATIVE_UCHAR()
| static

## ◆ H5T_NATIVE_UINT

final long H5T_NATIVE_UINT = H5T_NATIVE_UINT()
| static

## ◆ H5T_NATIVE_UINT16

final long H5T_NATIVE_UINT16 = H5T_NATIVE_UINT16()
| static

## ◆ H5T_NATIVE_UINT32

final long H5T_NATIVE_UINT32 = H5T_NATIVE_UINT32()
| static

## ◆ H5T_NATIVE_UINT64

final long H5T_NATIVE_UINT64 = H5T_NATIVE_UINT64()
| static

## ◆ H5T_NATIVE_UINT8

final long H5T_NATIVE_UINT8 = H5T_NATIVE_UINT8()
| static

## ◆ H5T_NATIVE_UINT_FAST16

final long H5T_NATIVE_UINT_FAST16 = H5T_NATIVE_UINT_FAST16()
| static

## ◆ H5T_NATIVE_UINT_FAST32

final long H5T_NATIVE_UINT_FAST32 = H5T_NATIVE_UINT_FAST32()
| static

## ◆ H5T_NATIVE_UINT_FAST64

final long H5T_NATIVE_UINT_FAST64 = H5T_NATIVE_UINT_FAST64()
| static

## ◆ H5T_NATIVE_UINT_FAST8

final long H5T_NATIVE_UINT_FAST8 = H5T_NATIVE_UINT_FAST8()
| static

## ◆ H5T_NATIVE_UINT_LEAST16

final long H5T_NATIVE_UINT_LEAST16 = H5T_NATIVE_UINT_LEAST16()
| static

## ◆ H5T_NATIVE_UINT_LEAST32

final long H5T_NATIVE_UINT_LEAST32 = H5T_NATIVE_UINT_LEAST32()
| static

## ◆ H5T_NATIVE_UINT_LEAST64

final long H5T_NATIVE_UINT_LEAST64 = H5T_NATIVE_UINT_LEAST64()
| static

## ◆ H5T_NATIVE_UINT_LEAST8

final long H5T_NATIVE_UINT_LEAST8 = H5T_NATIVE_UINT_LEAST8()
| static

## ◆ H5T_NATIVE_ULLONG

final long H5T_NATIVE_ULLONG = H5T_NATIVE_ULLONG()
| static

## ◆ H5T_NATIVE_ULONG

final long H5T_NATIVE_ULONG = H5T_NATIVE_ULONG()
| static

## ◆ H5T_NATIVE_USHORT

final long H5T_NATIVE_USHORT = H5T_NATIVE_USHORT()
| static

## ◆ H5T_NCLASSES

final int H5T_NCLASSES = H5T_NCLASSES()
| static

## ◆ H5T_NO_CLASS

final int H5T_NO_CLASS = H5T_NO_CLASS()
| static

## ◆ H5T_NORM_ERROR

final int H5T_NORM_ERROR = H5T_NORM_ERROR()
| static

## ◆ H5T_NORM_IMPLIED

final int H5T_NORM_IMPLIED = H5T_NORM_IMPLIED()
| static

## ◆ H5T_NORM_MSBSET

final int H5T_NORM_MSBSET = H5T_NORM_MSBSET()
| static

## ◆ H5T_NORM_NONE

final int H5T_NORM_NONE = H5T_NORM_NONE()
| static

## ◆ H5T_NPAD

final int H5T_NPAD = H5T_NPAD()
| static

## ◆ H5T_NSGN

final int H5T_NSGN = H5T_NSGN()
| static

## ◆ H5T_OPAQUE

final int H5T_OPAQUE = H5T_OPAQUE()
| static

## ◆ H5T_OPAQUE_TAG_MAX

final int H5T_OPAQUE_TAG_MAX = H5T_OPAQUE_TAG_MAX()
| static

## ◆ H5T_ORDER_BE

final int H5T_ORDER_BE = H5T_ORDER_BE()
| static

## ◆ H5T_ORDER_ERROR

final int H5T_ORDER_ERROR = H5T_ORDER_ERROR()
| static

## ◆ H5T_ORDER_LE

final int H5T_ORDER_LE = H5T_ORDER_LE()
| static

## ◆ H5T_ORDER_NONE

final int H5T_ORDER_NONE = H5T_ORDER_NONE()
| static

## ◆ H5T_ORDER_VAX

final int H5T_ORDER_VAX = H5T_ORDER_VAX()
| static

## ◆ H5T_PAD_BACKGROUND

final int H5T_PAD_BACKGROUND = H5T_PAD_BACKGROUND()
| static

## ◆ H5T_PAD_ERROR

final int H5T_PAD_ERROR = H5T_PAD_ERROR()
| static

## ◆ H5T_PAD_ONE

final int H5T_PAD_ONE = H5T_PAD_ONE()
| static

## ◆ H5T_PAD_ZERO

final int H5T_PAD_ZERO = H5T_PAD_ZERO()
| static

## ◆ H5T_PERS_DONTCARE

final int H5T_PERS_DONTCARE = H5T_PERS_DONTCARE()
| static

## ◆ H5T_PERS_HARD

final int H5T_PERS_HARD = H5T_PERS_HARD()
| static

## ◆ H5T_PERS_SOFT

final int H5T_PERS_SOFT = H5T_PERS_SOFT()
| static

## ◆ H5T_REFERENCE

final int H5T_REFERENCE = H5T_REFERENCE()
| static

## ◆ H5T_SGN_2

final int H5T_SGN_2 = H5T_SGN_2()
| static

## ◆ H5T_SGN_ERROR

final int H5T_SGN_ERROR = H5T_SGN_ERROR()
| static

## ◆ H5T_SGN_NONE

final int H5T_SGN_NONE = H5T_SGN_NONE()
| static

## ◆ H5T_STD_B16BE

final long H5T_STD_B16BE = H5T_STD_B16BE()
| static

## ◆ H5T_STD_B16LE

final long H5T_STD_B16LE = H5T_STD_B16LE()
| static

## ◆ H5T_STD_B32BE

final long H5T_STD_B32BE = H5T_STD_B32BE()
| static

## ◆ H5T_STD_B32LE

final long H5T_STD_B32LE = H5T_STD_B32LE()
| static

## ◆ H5T_STD_B64BE

final long H5T_STD_B64BE = H5T_STD_B64BE()
| static

## ◆ H5T_STD_B64LE

final long H5T_STD_B64LE = H5T_STD_B64LE()
| static

## ◆ H5T_STD_B8BE

final long H5T_STD_B8BE = H5T_STD_B8BE()
| static

## ◆ H5T_STD_B8LE

final long H5T_STD_B8LE = H5T_STD_B8LE()
| static

## ◆ H5T_STD_I16BE

final long H5T_STD_I16BE = H5T_STD_I16BE()
| static

## ◆ H5T_STD_I16LE

final long H5T_STD_I16LE = H5T_STD_I16LE()
| static

## ◆ H5T_STD_I32BE

final long H5T_STD_I32BE = H5T_STD_I32BE()
| static

## ◆ H5T_STD_I32LE

final long H5T_STD_I32LE = H5T_STD_I32LE()
| static

## ◆ H5T_STD_I64BE

final long H5T_STD_I64BE = H5T_STD_I64BE()
| static

## ◆ H5T_STD_I64LE

final long H5T_STD_I64LE = H5T_STD_I64LE()
| static

## ◆ H5T_STD_I8BE

final long H5T_STD_I8BE = H5T_STD_I8BE()
| static

## ◆ H5T_STD_I8LE

final long H5T_STD_I8LE = H5T_STD_I8LE()
| static

## ◆ H5T_STD_REF

final long H5T_STD_REF = H5T_STD_REF()
| static

## ◆ H5T_STD_REF_DSETREG

final long H5T_STD_REF_DSETREG = H5T_STD_REF_DSETREG()
| static

## ◆ H5T_STD_REF_OBJ

final long H5T_STD_REF_OBJ = H5T_STD_REF_OBJ()
| static

## ◆ H5T_STD_U16BE

final long H5T_STD_U16BE = H5T_STD_U16BE()
| static

## ◆ H5T_STD_U16LE

final long H5T_STD_U16LE = H5T_STD_U16LE()
| static

## ◆ H5T_STD_U32BE

final long H5T_STD_U32BE = H5T_STD_U32BE()
| static

## ◆ H5T_STD_U32LE

final long H5T_STD_U32LE = H5T_STD_U32LE()
| static

## ◆ H5T_STD_U64BE

final long H5T_STD_U64BE = H5T_STD_U64BE()
| static

## ◆ H5T_STD_U64LE

final long H5T_STD_U64LE = H5T_STD_U64LE()
| static

## ◆ H5T_STD_U8BE

final long H5T_STD_U8BE = H5T_STD_U8BE()
| static

## ◆ H5T_STD_U8LE

final long H5T_STD_U8LE = H5T_STD_U8LE()
| static

## ◆ H5T_STR_ERROR

final int H5T_STR_ERROR = H5T_STR_ERROR()
| static

## ◆ H5T_STR_NULLPAD

final int H5T_STR_NULLPAD = H5T_STR_NULLPAD()
| static

## ◆ H5T_STR_NULLTERM

final int H5T_STR_NULLTERM = H5T_STR_NULLTERM()
| static

## ◆ H5T_STR_RESERVED_10

final int H5T_STR_RESERVED_10 = H5T_STR_RESERVED_10()
| static

## ◆ H5T_STR_RESERVED_11

final int H5T_STR_RESERVED_11 = H5T_STR_RESERVED_11()
| static

## ◆ H5T_STR_RESERVED_12

final int H5T_STR_RESERVED_12 = H5T_STR_RESERVED_12()
| static

## ◆ H5T_STR_RESERVED_13

final int H5T_STR_RESERVED_13 = H5T_STR_RESERVED_13()
| static

## ◆ H5T_STR_RESERVED_14

final int H5T_STR_RESERVED_14 = H5T_STR_RESERVED_14()
| static

## ◆ H5T_STR_RESERVED_15

final int H5T_STR_RESERVED_15 = H5T_STR_RESERVED_15()
| static

## ◆ H5T_STR_RESERVED_3

final int H5T_STR_RESERVED_3 = H5T_STR_RESERVED_3()
| static

## ◆ H5T_STR_RESERVED_4

final int H5T_STR_RESERVED_4 = H5T_STR_RESERVED_4()
| static

## ◆ H5T_STR_RESERVED_5

final int H5T_STR_RESERVED_5 = H5T_STR_RESERVED_5()
| static

## ◆ H5T_STR_RESERVED_6

final int H5T_STR_RESERVED_6 = H5T_STR_RESERVED_6()
| static

## ◆ H5T_STR_RESERVED_7

final int H5T_STR_RESERVED_7 = H5T_STR_RESERVED_7()
| static

## ◆ H5T_STR_RESERVED_8

final int H5T_STR_RESERVED_8 = H5T_STR_RESERVED_8()
| static

## ◆ H5T_STR_RESERVED_9

final int H5T_STR_RESERVED_9 = H5T_STR_RESERVED_9()
| static

## ◆ H5T_STR_SPACEPAD

final int H5T_STR_SPACEPAD = H5T_STR_SPACEPAD()
| static

## ◆ H5T_STRING

final int H5T_STRING = H5T_STRING()
| static

## ◆ H5T_TIME

final int H5T_TIME = H5T_TIME()
| static

## ◆ H5T_UNIX_D32BE

final long H5T_UNIX_D32BE = H5T_UNIX_D32BE()
| static

## ◆ H5T_UNIX_D32LE

final long H5T_UNIX_D32LE = H5T_UNIX_D32LE()
| static

## ◆ H5T_UNIX_D64BE

final long H5T_UNIX_D64BE = H5T_UNIX_D64BE()
| static

## ◆ H5T_UNIX_D64LE

final long H5T_UNIX_D64LE = H5T_UNIX_D64LE()
| static

## ◆ H5T_VARIABLE

final long H5T_VARIABLE = H5T_VARIABLE()
| static

## ◆ H5T_VL_T

final int H5T_VL_T = H5T_VL_T()
| static

## ◆ H5T_VLEN

final int H5T_VLEN = H5T_VLEN()
| static

## ◆ H5VL_CAP_FLAG_NONE

final int H5VL_CAP_FLAG_NONE = H5VL_CAP_FLAG_NONE()
| static

## ◆ H5VL_CAP_FLAG_THREADSAFE

final int H5VL_CAP_FLAG_THREADSAFE = H5VL_CAP_FLAG_THREADSAFE()
| static

## ◆ H5VL_NATIVE

final long H5VL_NATIVE = H5VL_NATIVE()
| static

## ◆ H5VL_NATIVE_NAME

final String H5VL_NATIVE_NAME = H5VL_NATIVE_NAME()
| static

## ◆ H5VL_NATIVE_VALUE

final int H5VL_NATIVE_VALUE = H5VL_NATIVE_VALUE()
| static

## ◆ H5VL_NATIVE_VERSION

final int H5VL_NATIVE_VERSION = H5VL_NATIVE_VERSION()
| static

## ◆ H5Z_CB_CONT

final int H5Z_CB_CONT = H5Z_CB_CONT()
| static

Return values for filter callback function

## ◆ H5Z_CB_ERROR

final int H5Z_CB_ERROR = H5Z_CB_ERROR()
| static

Return values for filter callback function

## ◆ H5Z_CB_FAIL

final int H5Z_CB_FAIL = H5Z_CB_FAIL()
| static

Return values for filter callback function

## ◆ H5Z_CB_NO

final int H5Z_CB_NO = H5Z_CB_NO()
| static

Return values for filter callback function

## ◆ H5Z_DISABLE_EDC

final int H5Z_DISABLE_EDC = H5Z_DISABLE_EDC()
| static

Values to decide if EDC is enabled for reading data

## ◆ H5Z_ENABLE_EDC

final int H5Z_ENABLE_EDC = H5Z_ENABLE_EDC()
| static

Values to decide if EDC is enabled for reading data

## ◆ H5Z_ERROR_EDC

final int H5Z_ERROR_EDC = H5Z_ERROR_EDC()
| static

Values to decide if EDC is enabled for reading data

## ◆ H5Z_FILTER_ALL

final int H5Z_FILTER_ALL = H5Z_FILTER_ALL()
| static

Symbol to remove all filters in H5Premove_filter

## ◆ H5Z_FILTER_CONFIG_DECODE_ENABLED

final int H5Z_FILTER_CONFIG_DECODE_ENABLED = H5Z_FILTER_CONFIG_DECODE_ENABLED()
| static

Bit flags for H5Zget_filter_info

## ◆ H5Z_FILTER_CONFIG_ENCODE_ENABLED

final int H5Z_FILTER_CONFIG_ENCODE_ENABLED = H5Z_FILTER_CONFIG_ENCODE_ENABLED()
| static

Bit flags for H5Zget_filter_info

## ◆ H5Z_FILTER_DEFLATE

final int H5Z_FILTER_DEFLATE = H5Z_FILTER_DEFLATE()
| static

Filter IDs - deflation like gzip

## ◆ H5Z_FILTER_ERROR

final int H5Z_FILTER_ERROR = H5Z_FILTER_ERROR()
| static

Filter IDs - no filter

## ◆ H5Z_FILTER_FLETCHER32

final int H5Z_FILTER_FLETCHER32 = H5Z_FILTER_FLETCHER32()
| static

Filter IDs - fletcher32 checksum of EDC

## ◆ H5Z_FILTER_MAX

final int H5Z_FILTER_MAX = H5Z_FILTER_MAX()
| static

Filter IDs - maximum filter id

## ◆ H5Z_FILTER_NBIT

final int H5Z_FILTER_NBIT = H5Z_FILTER_NBIT()
| static

Filter IDs - nbit compression

## ◆ H5Z_FILTER_NONE

final int H5Z_FILTER_NONE = H5Z_FILTER_NONE()
| static

Filter IDs - reserved indefinitely

## ◆ H5Z_FILTER_RESERVED

final int H5Z_FILTER_RESERVED = H5Z_FILTER_RESERVED()
| static

Filter IDs - filter ids below this value are reserved for library use

## ◆ H5Z_FILTER_SCALEOFFSET

final int H5Z_FILTER_SCALEOFFSET = H5Z_FILTER_SCALEOFFSET()
| static

Filter IDs - scale+offset compression

## ◆ H5Z_FILTER_SHUFFLE

final int H5Z_FILTER_SHUFFLE = H5Z_FILTER_SHUFFLE()
| static

Filter IDs - shuffle the data

## ◆ H5Z_FILTER_SZIP

final int H5Z_FILTER_SZIP = H5Z_FILTER_SZIP()
| static

Filter IDs - szip compression

## ◆ H5Z_FLAG_DEFMASK

final int H5Z_FLAG_DEFMASK = H5Z_FLAG_DEFMASK()
| static

Flags for filter definition (stored) definition flag mask

## ◆ H5Z_FLAG_INVMASK

final int H5Z_FLAG_INVMASK = H5Z_FLAG_INVMASK()
| static

Additional flags for filter invocation (not stored) invocation flag mask

## ◆ H5Z_FLAG_MANDATORY

final int H5Z_FLAG_MANDATORY = H5Z_FLAG_MANDATORY()
| static

Flags for filter definition (stored) filter is mandatory

## ◆ H5Z_FLAG_OPTIONAL

final int H5Z_FLAG_OPTIONAL = H5Z_FLAG_OPTIONAL()
| static

Flags for filter definition (stored) filter is optional

## ◆ H5Z_FLAG_REVERSE

final int H5Z_FLAG_REVERSE = H5Z_FLAG_REVERSE()
| static

Additional flags for filter invocation (not stored) reverse direction; read

## ◆ H5Z_FLAG_SKIP_EDC

final int H5Z_FLAG_SKIP_EDC = H5Z_FLAG_SKIP_EDC()
| static

Additional flags for filter invocation (not stored) skip EDC filters for read

## ◆ H5Z_MAX_NFILTERS

final int H5Z_MAX_NFILTERS = H5Z_MAX_NFILTERS()
| static

Maximum number of filters allowed in a pipeline

## ◆ H5Z_NBIT_USER_NPARMS

final int H5Z_NBIT_USER_NPARMS = H5Z_NBIT_USER_NPARMS()
| static

nbit filter - Number of parameters that users can set

## ◆ H5Z_NO_EDC

final int H5Z_NO_EDC = H5Z_NO_EDC()
| static

Values to decide if EDC is enabled for reading data

## ◆ H5Z_SCALEOFFSET_USER_NPARMS

final int H5Z_SCALEOFFSET_USER_NPARMS = H5Z_SCALEOFFSET_USER_NPARMS()
| static

scale offset filter - Number of parameters that users can set

## ◆ H5Z_SHUFFLE_TOTAL_NPARMS

final int H5Z_SHUFFLE_TOTAL_NPARMS = H5Z_SHUFFLE_TOTAL_NPARMS()
| static

shuffle filter - Total number of parameters for filter

## ◆ H5Z_SHUFFLE_USER_NPARMS

final int H5Z_SHUFFLE_USER_NPARMS = H5Z_SHUFFLE_USER_NPARMS()
| static

shuffle filter - Number of parameters that users can set

## ◆ H5Z_SO_FLOAT_DSCALE

final int H5Z_SO_FLOAT_DSCALE = H5Z_SO_FLOAT_DSCALE()
| static

Special parameters for ScaleOffset filter

## ◆ H5Z_SO_FLOAT_ESCALE

final int H5Z_SO_FLOAT_ESCALE = H5Z_SO_FLOAT_ESCALE()
| static

Special parameters for ScaleOffset filter

## ◆ H5Z_SO_INT

final int H5Z_SO_INT = H5Z_SO_INT()
| static

Special parameters for ScaleOffset filter

## ◆ H5Z_SO_INT_MINBITS_DEFAULT

final int H5Z_SO_INT_MINBITS_DEFAULT = H5Z_SO_INT_MINBITS_DEFAULT()
| static

Special parameters for ScaleOffset filter

## ◆ H5Z_SZIP_PARM_BPP

final int H5Z_SZIP_PARM_BPP = H5Z_SZIP_PARM_BPP()
| static

szip filter - "Local" parameter for bits-per-pixel

## ◆ H5Z_SZIP_PARM_MASK

final int H5Z_SZIP_PARM_MASK = H5Z_SZIP_PARM_MASK()
| static

szip filter - "User" parameter for option mask

## ◆ H5Z_SZIP_PARM_PPB

final int H5Z_SZIP_PARM_PPB = H5Z_SZIP_PARM_PPB()
| static

szip filter - "User" parameter for pixels-per-block

## ◆ H5Z_SZIP_PARM_PPS

final int H5Z_SZIP_PARM_PPS = H5Z_SZIP_PARM_PPS()
| static

szip filter - "Local" parameter for pixels-per-scanline

## ◆ H5Z_SZIP_TOTAL_NPARMS

final int H5Z_SZIP_TOTAL_NPARMS = H5Z_SZIP_TOTAL_NPARMS()
| static

szip filter - Total number of parameters for filter

## ◆ H5Z_SZIP_USER_NPARMS

final int H5Z_SZIP_USER_NPARMS = H5Z_SZIP_USER_NPARMS()
| static

szip filter - Number of parameters that users can set

The documentation for this class was generated from the following file:

- java/src-jni/hdf/hdf5lib/HDF5Constants.java